//-----------------------------------------------------------------------------
//
// INFO.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __INFO_H__
#define __INFO_H__

// Note: enumerated definition positions must not be changed

// Sprites
typedef enum
{
	SPR_TROO, SPR_SHTG, SPR_PUNG, SPR_PISG, SPR_PISF, SPR_SHTF, SPR_SHT2, SPR_CHGG, SPR_CHGF, SPR_MISG,	 //   0 to   9
	SPR_MISF, SPR_SAWG, SPR_PLSG, SPR_PLSF, SPR_BFGG, SPR_BFGF,	SPR_BLUD, SPR_PUFF, SPR_BAL1, SPR_BAL2,	 //  10 to  19
	SPR_PLSS, SPR_PLSE, SPR_MISL, SPR_BFS1, SPR_BFE1, SPR_BFE2, SPR_TFOG, SPR_IFOG,	SPR_PLAY, SPR_POSS,	 //  20 to  29
	SPR_SPOS, SPR_VILE, SPR_FIRE, SPR_FATB, SPR_FBXP, SPR_SKEL, SPR_MANF, SPR_FATT, SPR_CPOS, SPR_SARG,	 //  30 to  39
	SPR_HEAD, SPR_BAL7, SPR_BOSS, SPR_BOS2, SPR_SKUL, SPR_SPID, SPR_BSPI, SPR_APLS, SPR_APBX, SPR_CYBR,	 //  40 to  49
	SPR_PAIN, SPR_SSWV, SPR_KEEN, SPR_BBRN, SPR_BOSF, SPR_ARM1, SPR_ARM2, SPR_BAR1, SPR_BEXP, SPR_FCAN,	 //  50 to  59
	SPR_BON1, SPR_BON2, SPR_BKEY, SPR_RKEY, SPR_YKEY, SPR_BSKU, SPR_RSKU, SPR_YSKU, SPR_STIM, SPR_MEDI,	 //  60 to  69
	SPR_SOUL, SPR_PINV, SPR_PSTR, SPR_PINS, SPR_MEGA, SPR_SUIT, SPR_PMAP, SPR_PVIS, SPR_CLIP, SPR_AMMO,	 //  70 to  79
	SPR_ROCK, SPR_BROK, SPR_CELL, SPR_CELP, SPR_SHEL, SPR_SBOX, SPR_BPAK, SPR_BFUG, SPR_MGUN, SPR_CSAW,	 //  80 to  89
	SPR_LAUN, SPR_PLAS, SPR_SHOT, SPR_SGN2, SPR_COLU, SPR_SMT2, SPR_GOR1, SPR_POL2, SPR_POL5, SPR_POL4,	 //  90 to  99
	SPR_POL3, SPR_POL1, SPR_POL6, SPR_GOR2, SPR_GOR3, SPR_GOR4, SPR_GOR5, SPR_SMIT, SPR_COL1, SPR_COL2,	 // 100 to 109
	SPR_COL3, SPR_COL4, SPR_CAND, SPR_CBRA, SPR_COL6, SPR_TRE1, SPR_TRE2, SPR_ELEC, SPR_CEYE, SPR_FSKU,	 // 110 to 119
	SPR_COL5, SPR_TBLU, SPR_TGRN, SPR_TRED, SPR_SMBT, SPR_SMGT, SPR_SMRT, SPR_HDB1, SPR_HDB2, SPR_HDB3,	 // 120 to 129
	SPR_HDB4, SPR_HDB5, SPR_HDB6, SPR_POB1, SPR_POB2, SPR_BRS1, SPR_TLMP, SPR_TLP2, SPR_TNT1, SPR_DOGS,	 // 130 to 139
	SPR_PLS1, SPR_PLS2, SPR_BON3, SPR_BON4, SPR_DYNL,													 // 140
	DH_NUMSPRITES
} spritenum_t;

// All states are listed for checking ded load order
// See states loading in Def_Read()
// b211-0 Revised (debug state name hooks removed)
typedef enum
{
	S_NULL,					//    0
	S_LIGHTDONE,			//    1
	S_PUNCH,				//    2
	S_PUNCHDOWN,			//    3
	S_PUNCHUP,				//    4
	S_PUNCH1,				//    5
	S_PUNCH2,				//    6
	S_PUNCH3,				//    7
	S_PUNCH4,				//    8
	S_PUNCH5,				//    9
	S_PISTOL,				//   10
	S_PISTOLDOWN,			//   11
	S_PISTOLUP,				//   12
	S_PISTOL1,				//   13
	S_PISTOL2,				//   14
	S_PISTOL3,				//   15
	S_PISTOL4,				//   16
	S_PISTOLFLASH,			//   17
	S_SGUN,					//   18
	S_SGUNDOWN,				//   19
	S_SGUNUP,				//   20
	S_SGUN1,				//   21
	S_SGUN2,				//   22
	S_SGUN3,				//   23
	S_SGUN4,				//   24
	S_SGUN5,				//   25
	S_SGUN6,				//   26
	S_SGUN7,				//   27
	S_SGUN8,				//   28
	S_SGUN9,				//   29
	S_SGUNFLASH1,			//   30
	S_SGUNFLASH2,			//   31
	S_DSGUN,				//   32
	S_DSGUNDOWN,			//   33
	S_DSGUNUP,				//   34
	S_DSGUN1,				//   35
	S_DSGUN2,				//   36
	S_DSGUN3,				//   37
	S_DSGUN4,				//   38
	S_DSGUN5,				//   39
	S_DSGUN6,				//   40
	S_DSGUN7,				//   41
	S_DSGUN8,				//   42
	S_DSGUN9,				//   43
	S_DSGUN10,				//   44
	S_DSNR1,				//   45
	S_DSNR2,				//   46
	S_DSGUNFLASH1,			//   47
	S_DSGUNFLASH2,			//   48
	S_CHAIN,				//   49
	S_CHAINDOWN,			//   50
	S_CHAINUP,				//   51
	S_CHAIN1,				//   52
	S_CHAIN2,				//   53
	S_CHAIN3,				//   54
	S_CHAINFLASH1,			//   55
	S_CHAINFLASH2,			//   56
	S_MISSILE,				//   57
	S_MISSILEDOWN,			//   58
	S_MISSILEUP,			//   59
	S_MISSILE1,				//   60
	S_MISSILE2,				//   61
	S_MISSILE3,				//   62
	S_MISSILEFLASH1,		//   63
	S_MISSILEFLASH2,		//   64
	S_MISSILEFLASH3,		//   65
	S_MISSILEFLASH4,		//   66
	S_SAW,					//   67
	S_SAWB,					//   68
	S_SAWDOWN,				//   69
	S_SAWUP,				//   70
	S_SAW1,					//   71
	S_SAW2,					//   72
	S_SAW3,					//   73
	S_PLASMA,				//   74
	S_PLASMADOWN,			//   75
	S_PLASMAUP,				//   76
	S_PLASMA1,				//   77
	S_PLASMA2,				//   78
	S_PLASMAFLASH1,			//   79
	S_PLASMAFLASH2,			//   80
	S_BFG,					//   81
	S_BFGDOWN,				//   82
	S_BFGUP,				//   83
	S_BFG1,					//   84
	S_BFG2,					//   85
	S_BFG3,					//   86
	S_BFG4,					//   87
	S_BFGFLASH1,			//   88
	S_BFGFLASH2,			//   89
	S_BLOOD1,				//   90
	S_BLOOD2,				//   91
	S_BLOOD3,				//   92
	S_PUFF1,				//   93
	S_PUFF2,				//   94
	S_PUFF3,				//   95
	S_PUFF4,				//   96
	S_TBALL1,				//   97
	S_TBALL2,				//   98
	S_TBALLX1,				//   99
	S_TBALLX2,				//  100
	S_TBALLX3,				//  101
	S_RBALL1,				//  102
	S_RBALL2,				//  103
	S_RBALLX1,				//  104
	S_RBALLX2,				//  105
	S_RBALLX3,				//  106
	S_PLASBALL,				//  107
	S_PLASBALL2,			//  108
	S_PLASEXP,				//  109
	S_PLASEXP2,				//  110
	S_PLASEXP3,				//  111
	S_PLASEXP4,				//  112
	S_PLASEXP5,				//  113
	S_ROCKET,				//  114
	S_BFGSHOT,				//  115
	S_BFGSHOT2,				//  116
	S_BFGLAND,				//  117
	S_BFGLAND2,				//  118
	S_BFGLAND3,				//  119
	S_BFGLAND4,				//  120
	S_BFGLAND5,				//  121
	S_BFGLAND6,				//  122
	S_BFGEXP,				//  123
	S_BFGEXP2,				//  124
	S_BFGEXP3,				//  125
	S_BFGEXP4,				//  126
	S_EXPLODE1,				//  127
	S_EXPLODE2,				//  128
	S_EXPLODE3,				//  129
	S_TFOG,					//  130
	S_TFOG01,				//  131
	S_TFOG02,				//  132
	S_TFOG2,				//  133
	S_TFOG3,				//  134
	S_TFOG4,				//  135
	S_TFOG5,				//  136
	S_TFOG6,				//  137
	S_TFOG7,				//  138
	S_TFOG8,				//  139
	S_TFOG9,				//  140
	S_TFOG10,				//  141
	S_IFOG,					//  142
	S_IFOG01,				//  143
	S_IFOG02,				//  144
	S_IFOG2,				//  145
	S_IFOG3,				//  146
	S_IFOG4,				//  147
	S_IFOG5,				//  148
	S_PLAY,					//  149
	S_PLAY_RUN1,			//  150
	S_PLAY_RUN2,			//  151
	S_PLAY_RUN3,			//  152
	S_PLAY_RUN4,			//  153
	S_PLAY_ATK1,			//  154
	S_PLAY_ATK2,			//  155
	S_PLAY_PAIN,			//  156
	S_PLAY_PAIN2,			//  157
	S_PLAY_DIE1,			//  158
	S_PLAY_DIE2,			//  159
	S_PLAY_DIE3,			//  160
	S_PLAY_DIE4,			//  161
	S_PLAY_DIE5,			//  162
	S_PLAY_DIE6,			//  163
	S_PLAY_DIE7,			//  164
	S_PLAY_XDIE1,			//  165
	S_PLAY_XDIE2,			//  166
	S_PLAY_XDIE3,			//  167
	S_PLAY_XDIE4,			//  168
	S_PLAY_XDIE5,			//  169
	S_PLAY_XDIE6,			//  170
	S_PLAY_XDIE7,			//  171
	S_PLAY_XDIE8,			//  172
	S_PLAY_XDIE9,			//  173
	S_POSS_STND,			//  174
	S_POSS_STND2,			//  175
	S_POSS_RUN1,			//  176
	S_POSS_RUN2,			//  177
	S_POSS_RUN3,			//  178
	S_POSS_RUN4,			//  179
	S_POSS_RUN5,			//  180
	S_POSS_RUN6,			//  181
	S_POSS_RUN7,			//  182
	S_POSS_RUN8,			//  183
	S_POSS_ATK1,			//  184
	S_POSS_ATK2,			//  185
	S_POSS_ATK3,			//  186
	S_POSS_PAIN,			//  187
	S_POSS_PAIN2,			//  188
	S_POSS_DIE1,			//  189
	S_POSS_DIE2,			//  190
	S_POSS_DIE3,			//  191
	S_POSS_DIE4,			//  192
	S_POSS_DIE5,			//  193
	S_POSS_XDIE1,			//  194
	S_POSS_XDIE2,			//  195
	S_POSS_XDIE3,			//  196
	S_POSS_XDIE4,			//  197
	S_POSS_XDIE5,			//  198
	S_POSS_XDIE6,			//  199
	S_POSS_XDIE7,			//  200
	S_POSS_XDIE8,			//  201
	S_POSS_XDIE9,			//  202
	S_POSS_RAISE1,			//  203
	S_POSS_RAISE2,			//  204
	S_POSS_RAISE3,			//  205
	S_POSS_RAISE4,			//  206
	S_SPOS_STND,			//  207
	S_SPOS_STND2,			//  208
	S_SPOS_RUN1,			//  209
	S_SPOS_RUN2,			//  210
	S_SPOS_RUN3,			//  211
	S_SPOS_RUN4,			//  212
	S_SPOS_RUN5,			//  213
	S_SPOS_RUN6,			//  214
	S_SPOS_RUN7,			//  215
	S_SPOS_RUN8,			//  216
	S_SPOS_ATK1,			//  217
	S_SPOS_ATK2,			//  218
	S_SPOS_ATK3,			//  219
	S_SPOS_PAIN,			//  220
	S_SPOS_PAIN2,			//  221
	S_SPOS_DIE1,			//  222
	S_SPOS_DIE2,			//  223
	S_SPOS_DIE3,			//  224
	S_SPOS_DIE4,			//  225
	S_SPOS_DIE5,			//  226
	S_SPOS_XDIE1,			//  227
	S_SPOS_XDIE2,			//  228
	S_SPOS_XDIE3,			//  229
	S_SPOS_XDIE4,			//  230
	S_SPOS_XDIE5,			//  231
	S_SPOS_XDIE6,			//  232
	S_SPOS_XDIE7,			//  233
	S_SPOS_XDIE8,			//  234
	S_SPOS_XDIE9,			//  235
	S_SPOS_RAISE1,			//  236
	S_SPOS_RAISE2,			//  237
	S_SPOS_RAISE3,			//  238
	S_SPOS_RAISE4,			//  239
	S_SPOS_RAISE5,			//  240
	S_VILE_STND,			//  241
	S_VILE_STND2,			//  242
	S_VILE_RUN1,			//  243
	S_VILE_RUN2,			//  244
	S_VILE_RUN3,			//  245
	S_VILE_RUN4,			//  246
	S_VILE_RUN5,			//  247
	S_VILE_RUN6,			//  248
	S_VILE_RUN7,			//  249
	S_VILE_RUN8,			//  250
	S_VILE_RUN9,			//  251
	S_VILE_RUN10,			//  252
	S_VILE_RUN11,			//  253
	S_VILE_RUN12,			//  254
	S_VILE_ATK1,			//  255
	S_VILE_ATK2,			//  256
	S_VILE_ATK3,			//  257
	S_VILE_ATK4,			//  258
	S_VILE_ATK5,			//  259
	S_VILE_ATK6,			//  260
	S_VILE_ATK7,			//  261
	S_VILE_ATK8,			//  262
	S_VILE_ATK9,			//  263
	S_VILE_ATK10,			//  264
	S_VILE_ATK11,			//  265
	S_VILE_HEAL1,			//  266
	S_VILE_HEAL2,			//  267
	S_VILE_HEAL3,			//  268
	S_VILE_PAIN,			//  269
	S_VILE_PAIN2,			//  270
	S_VILE_DIE1,			//  271
	S_VILE_DIE2,			//  272
	S_VILE_DIE3,			//  273
	S_VILE_DIE4,			//  274
	S_VILE_DIE5,			//  275
	S_VILE_DIE6,			//  276
	S_VILE_DIE7,			//  277
	S_VILE_DIE8,			//  278
	S_VILE_DIE9,			//  279
	S_VILE_DIE10,			//  280
	S_FIRE1,				//  281
	S_FIRE2,				//  282
	S_FIRE3,				//  283
	S_FIRE4,				//  284
	S_FIRE5,				//  285
	S_FIRE6,				//  286
	S_FIRE7,				//  287
	S_FIRE8,				//  288
	S_FIRE9,				//  289
	S_FIRE10,				//  290
	S_FIRE11,				//  291
	S_FIRE12,				//  292
	S_FIRE13,				//  293
	S_FIRE14,				//  294
	S_FIRE15,				//  295
	S_FIRE16,				//  296
	S_FIRE17,				//  297
	S_FIRE18,				//  298
	S_FIRE19,				//  299
	S_FIRE20,				//  300
	S_FIRE21,				//  301
	S_FIRE22,				//  302
	S_FIRE23,				//  303
	S_FIRE24,				//  304
	S_FIRE25,				//  305
	S_FIRE26,				//  306
	S_FIRE27,				//  307
	S_FIRE28,				//  308
	S_FIRE29,				//  309
	S_FIRE30,				//  310
	S_SMOKE1,				//  311
	S_SMOKE2,				//  312
	S_SMOKE3,				//  313
	S_SMOKE4,				//  314
	S_SMOKE5,				//  315
	S_TRACER,				//  316
	S_TRACER2,				//  317
	S_TRACEEXP1,			//  318
	S_TRACEEXP2,			//  319
	S_TRACEEXP3,			//  320
	S_SKEL_STND,			//  321
	S_SKEL_STND2,			//  322
	S_SKEL_RUN1,			//  323
	S_SKEL_RUN2,			//  324
	S_SKEL_RUN3,			//  325
	S_SKEL_RUN4,			//  326
	S_SKEL_RUN5,			//  327
	S_SKEL_RUN6,			//  328
	S_SKEL_RUN7,			//  329
	S_SKEL_RUN8,			//  330
	S_SKEL_RUN9,			//  331
	S_SKEL_RUN10,			//  332
	S_SKEL_RUN11,			//  333
	S_SKEL_RUN12,			//  334
	S_SKEL_FIST1,			//  335
	S_SKEL_FIST2,			//  336
	S_SKEL_FIST3,			//  337
	S_SKEL_FIST4,			//  338
	S_SKEL_MISS1,			//  339
	S_SKEL_MISS2,			//  340
	S_SKEL_MISS3,			//  341
	S_SKEL_MISS4,			//  342
	S_SKEL_PAIN,			//  343
	S_SKEL_PAIN2,			//  344
	S_SKEL_DIE1,			//  345
	S_SKEL_DIE2,			//  346
	S_SKEL_DIE3,			//  347
	S_SKEL_DIE4,			//  348
	S_SKEL_DIE5,			//  349
	S_SKEL_DIE6,			//  350
	S_SKEL_RAISE1,			//  351
	S_SKEL_RAISE2,			//  352
	S_SKEL_RAISE3,			//  353
	S_SKEL_RAISE4,			//  354
	S_SKEL_RAISE5,			//  355
	S_SKEL_RAISE6,			//  356
	S_FATSHOT1,				//  357
	S_FATSHOT2,				//  358
	S_FATSHOTX1,			//  359
	S_FATSHOTX2,			//  360
	S_FATSHOTX3,			//  361
	S_FATT_STND,			//  362
	S_FATT_STND2,			//  363
	S_FATT_RUN1,			//  364
	S_FATT_RUN2,			//  365
	S_FATT_RUN3,			//  366
	S_FATT_RUN4,			//  367
	S_FATT_RUN5,			//  368
	S_FATT_RUN6,			//  369
	S_FATT_RUN7,			//  370
	S_FATT_RUN8,			//  371
	S_FATT_RUN9,			//  372
	S_FATT_RUN10,			//  373
	S_FATT_RUN11,			//  374
	S_FATT_RUN12,			//  375
	S_FATT_ATK1,			//  376
	S_FATT_ATK2,			//  377
	S_FATT_ATK3,			//  378
	S_FATT_ATK4,			//  379
	S_FATT_ATK5,			//  380
	S_FATT_ATK6,			//  381
	S_FATT_ATK7,			//  382
	S_FATT_ATK8,			//  383
	S_FATT_ATK9,			//  384
	S_FATT_ATK10,			//  385
	S_FATT_PAIN,			//  386
	S_FATT_PAIN2,			//  387
	S_FATT_DIE1,			//  388
	S_FATT_DIE2,			//  389
	S_FATT_DIE3,			//  390
	S_FATT_DIE4,			//  391
	S_FATT_DIE5,			//  392
	S_FATT_DIE6,			//  393
	S_FATT_DIE7,			//  394
	S_FATT_DIE8,			//  395
	S_FATT_DIE9,			//  396
	S_FATT_DIE10,			//  397
	S_FATT_RAISE1,			//  398
	S_FATT_RAISE2,			//  399
	S_FATT_RAISE3,			//  400
	S_FATT_RAISE4,			//  401
	S_FATT_RAISE5,			//  402
	S_FATT_RAISE6,			//  403
	S_FATT_RAISE7,			//  404
	S_FATT_RAISE8,			//  405
	S_CPOS_STND,			//  406
	S_CPOS_STND2,			//  407
	S_CPOS_RUN1,			//  408
	S_CPOS_RUN2,			//  409
	S_CPOS_RUN3,			//  410
	S_CPOS_RUN4,			//  411
	S_CPOS_RUN5,			//  412
	S_CPOS_RUN6,			//  413
	S_CPOS_RUN7,			//  414
	S_CPOS_RUN8,			//  415
	S_CPOS_ATK1,			//  416
	S_CPOS_ATK2,			//  417
	S_CPOS_ATK3,			//  418
	S_CPOS_ATK4,			//  419
	S_CPOS_PAIN,			//  420
	S_CPOS_PAIN2,			//  421
	S_CPOS_DIE1,			//  422
	S_CPOS_DIE2,			//  423
	S_CPOS_DIE3,			//  424
	S_CPOS_DIE4,			//  425
	S_CPOS_DIE5,			//  426
	S_CPOS_DIE6,			//  427
	S_CPOS_DIE7,			//  428
	S_CPOS_XDIE1,			//  429
	S_CPOS_XDIE2,			//  430
	S_CPOS_XDIE3,			//  431
	S_CPOS_XDIE4,			//  432
	S_CPOS_XDIE5,			//  433
	S_CPOS_XDIE6,			//  434
	S_CPOS_RAISE1,			//  435
	S_CPOS_RAISE2,			//  436
	S_CPOS_RAISE3,			//  437
	S_CPOS_RAISE4,			//  438
	S_CPOS_RAISE5,			//  439
	S_CPOS_RAISE6,			//  440
	S_CPOS_RAISE7,			//  441
	S_TROO_STND,			//  442
	S_TROO_STND2,			//  443
	S_TROO_RUN1,			//  444
	S_TROO_RUN2,			//  445
	S_TROO_RUN3,			//  446
	S_TROO_RUN4,			//  447
	S_TROO_RUN5,			//  448
	S_TROO_RUN6,			//  449
	S_TROO_RUN7,			//  450
	S_TROO_RUN8,			//  451
	S_TROO_ATK1,			//  452
	S_TROO_ATK2,			//  453
	S_TROO_ATK3,			//  454
	S_TROO_PAIN,			//  455
	S_TROO_PAIN2,			//  456
	S_TROO_DIE1,			//  457
	S_TROO_DIE2,			//  458
	S_TROO_DIE3,			//  459
	S_TROO_DIE4,			//  460
	S_TROO_DIE5,			//  461
	S_TROO_XDIE1,			//  462
	S_TROO_XDIE2,			//  463
	S_TROO_XDIE3,			//  464
	S_TROO_XDIE4,			//  465
	S_TROO_XDIE5,			//  466
	S_TROO_XDIE6,			//  467
	S_TROO_XDIE7,			//  468
	S_TROO_XDIE8,			//  469
	S_TROO_RAISE1,			//  470
	S_TROO_RAISE2,			//  471
	S_TROO_RAISE3,			//  472
	S_TROO_RAISE4,			//  473
	S_TROO_RAISE5,			//  474
	S_SARG_STND,			//  475
	S_SARG_STND2,			//  476
	S_SARG_RUN1,			//  477
	S_SARG_RUN2,			//  478
	S_SARG_RUN3,			//  479
	S_SARG_RUN4,			//  480
	S_SARG_RUN5,			//  481
	S_SARG_RUN6,			//  482
	S_SARG_RUN7,			//  483
	S_SARG_RUN8,			//  484
	S_SARG_ATK1,			//  485
	S_SARG_ATK2,			//  486
	S_SARG_ATK3,			//  487
	S_SARG_PAIN,			//  488
	S_SARG_PAIN2,			//  489
	S_SARG_DIE1,			//  490
	S_SARG_DIE2,			//  491
	S_SARG_DIE3,			//  492
	S_SARG_DIE4,			//  493
	S_SARG_DIE5,			//  494
	S_SARG_DIE6,			//  495
	S_SARG_RAISE1,			//  496
	S_SARG_RAISE2,			//  497
	S_SARG_RAISE3,			//  498
	S_SARG_RAISE4,			//  499
	S_SARG_RAISE5,			//  500
	S_SARG_RAISE6,			//  501
	S_HEAD_STND,			//  502
	S_HEAD_RUN1,			//  503
	S_HEAD_ATK1,			//  504
	S_HEAD_ATK2,			//  505
	S_HEAD_ATK3,			//  506
	S_HEAD_PAIN,			//  507
	S_HEAD_PAIN2,			//  508
	S_HEAD_PAIN3,			//  509
	S_HEAD_DIE1,			//  510
	S_HEAD_DIE2,			//  511
	S_HEAD_DIE3,			//  512
	S_HEAD_DIE4,			//  513
	S_HEAD_DIE5,			//  514
	S_HEAD_DIE6,			//  515
	S_HEAD_RAISE1,			//  516
	S_HEAD_RAISE2,			//  517
	S_HEAD_RAISE3,			//  518
	S_HEAD_RAISE4,			//  519
	S_HEAD_RAISE5,			//  520
	S_HEAD_RAISE6,			//  521
	S_BRBALL1,				//  522
	S_BRBALL2,				//  523
	S_BRBALLX1,				//  524
	S_BRBALLX2,				//  525
	S_BRBALLX3,				//  526
	S_BOSS_STND,			//  527
	S_BOSS_STND2,			//  528
	S_BOSS_RUN1,			//  529
	S_BOSS_RUN2,			//  530
	S_BOSS_RUN3,			//  531
	S_BOSS_RUN4,			//  532
	S_BOSS_RUN5,			//  533
	S_BOSS_RUN6,			//  534
	S_BOSS_RUN7,			//  535
	S_BOSS_RUN8,			//  536
	S_BOSS_ATK1,			//  537
	S_BOSS_ATK2,			//  538
	S_BOSS_ATK3,			//  539
	S_BOSS_PAIN,			//  540
	S_BOSS_PAIN2,			//  541
	S_BOSS_DIE1,			//  542
	S_BOSS_DIE2,			//  543
	S_BOSS_DIE3,			//  544
	S_BOSS_DIE4,			//  545
	S_BOSS_DIE5,			//  546
	S_BOSS_DIE6,			//  547
	S_BOSS_DIE7,			//  548
	S_BOSS_RAISE1,			//  549
	S_BOSS_RAISE2,			//  550
	S_BOSS_RAISE3,			//  551
	S_BOSS_RAISE4,			//  552
	S_BOSS_RAISE5,			//  553
	S_BOSS_RAISE6,			//  554
	S_BOSS_RAISE7,			//  555
	S_BOS2_STND,			//  556
	S_BOS2_STND2,			//  557
	S_BOS2_RUN1,			//  558
	S_BOS2_RUN2,			//  559
	S_BOS2_RUN3,			//  560
	S_BOS2_RUN4,			//  561
	S_BOS2_RUN5,			//  562
	S_BOS2_RUN6,			//  563
	S_BOS2_RUN7,			//  564
	S_BOS2_RUN8,			//  565
	S_BOS2_ATK1,			//  566
	S_BOS2_ATK2,			//  567
	S_BOS2_ATK3,			//  568
	S_BOS2_PAIN,			//  569
	S_BOS2_PAIN2,			//  570
	S_BOS2_DIE1,			//  571
	S_BOS2_DIE2,			//  572
	S_BOS2_DIE3,			//  573
	S_BOS2_DIE4,			//  574
	S_BOS2_DIE5,			//  575
	S_BOS2_DIE6,			//  576
	S_BOS2_DIE7,			//  577
	S_BOS2_RAISE1,			//  578
	S_BOS2_RAISE2,			//  579
	S_BOS2_RAISE3,			//  580
	S_BOS2_RAISE4,			//  581
	S_BOS2_RAISE5,			//  582
	S_BOS2_RAISE6,			//  583
	S_BOS2_RAISE7,			//  584
	S_SKULL_STND,			//  585
	S_SKULL_STND2,			//  586
	S_SKULL_RUN1,			//  587
	S_SKULL_RUN2,			//  588
	S_SKULL_ATK1,			//  589
	S_SKULL_ATK2,			//  590
	S_SKULL_ATK3,			//  591
	S_SKULL_ATK4,			//  592
	S_SKULL_PAIN,			//  593
	S_SKULL_PAIN2,			//  594
	S_SKULL_DIE1,			//  595
	S_SKULL_DIE2,			//  596
	S_SKULL_DIE3,			//  597
	S_SKULL_DIE4,			//  598
	S_SKULL_DIE5,			//  599
	S_SKULL_DIE6,			//  600
	S_SPID_STND,			//  601
	S_SPID_STND2,			//  602
	S_SPID_RUN1,			//  603
	S_SPID_RUN2,			//  604
	S_SPID_RUN3,			//  605
	S_SPID_RUN4,			//  606
	S_SPID_RUN5,			//  607
	S_SPID_RUN6,			//  608
	S_SPID_RUN7,			//  609
	S_SPID_RUN8,			//  610
	S_SPID_RUN9,			//  611
	S_SPID_RUN10,			//  612
	S_SPID_RUN11,			//  613
	S_SPID_RUN12,			//  614
	S_SPID_ATK1,			//  615
	S_SPID_ATK2,			//  616
	S_SPID_ATK3,			//  617
	S_SPID_ATK4,			//  618
	S_SPID_PAIN,			//  619
	S_SPID_PAIN2,			//  620
	S_SPID_DIE1,			//  621
	S_SPID_DIE2,			//  622
	S_SPID_DIE3,			//  623
	S_SPID_DIE4,			//  624
	S_SPID_DIE5,			//  625
	S_SPID_DIE6,			//  626
	S_SPID_DIE7,			//  627
	S_SPID_DIE8,			//  628
	S_SPID_DIE9,			//  629
	S_SPID_DIE10,			//  630
	S_SPID_DIE11,			//  631
	S_BSPI_STND,			//  632
	S_BSPI_STND2,			//  633
	S_BSPI_SIGHT,			//  634
	S_BSPI_RUN1,			//  635
	S_BSPI_RUN2,			//  636
	S_BSPI_RUN3,			//  637
	S_BSPI_RUN4,			//  638
	S_BSPI_RUN5,			//  639
	S_BSPI_RUN6,			//  640
	S_BSPI_RUN7,			//  641
	S_BSPI_RUN8,			//  642
	S_BSPI_RUN9,			//  643
	S_BSPI_RUN10,			//  644
	S_BSPI_RUN11,			//  645
	S_BSPI_RUN12,			//  646
	S_BSPI_ATK1,			//  647
	S_BSPI_ATK2,			//  648
	S_BSPI_ATK3,			//  649
	S_BSPI_ATK4,			//  650
	S_BSPI_PAIN,			//  651
	S_BSPI_PAIN2,			//  652
	S_BSPI_DIE1,			//  653
	S_BSPI_DIE2,			//  654
	S_BSPI_DIE3,			//  655
	S_BSPI_DIE4,			//  656
	S_BSPI_DIE5,			//  657
	S_BSPI_DIE6,			//  658
	S_BSPI_DIE7,			//  659
	S_BSPI_RAISE1,			//  660
	S_BSPI_RAISE2,			//  661
	S_BSPI_RAISE3,			//  662
	S_BSPI_RAISE4,			//  663
	S_BSPI_RAISE5,			//  664
	S_BSPI_RAISE6,			//  665
	S_BSPI_RAISE7,			//  666
	S_ARACH_PLAZ,			//  667
	S_ARACH_PLAZ2,			//  668
	S_ARACH_PLEX,			//  669
	S_ARACH_PLEX2,			//  670
	S_ARACH_PLEX3,			//  671
	S_ARACH_PLEX4,			//  672
	S_ARACH_PLEX5,			//  673
	S_CYBER_STND,			//  674
	S_CYBER_STND2,			//  675
	S_CYBER_RUN1,			//  676
	S_CYBER_RUN2,			//  677
	S_CYBER_RUN3,			//  678
	S_CYBER_RUN4,			//  679
	S_CYBER_RUN5,			//  680
	S_CYBER_RUN6,			//  681
	S_CYBER_RUN7,			//  682
	S_CYBER_RUN8,			//  683
	S_CYBER_ATK1,			//  684
	S_CYBER_ATK2,			//  685
	S_CYBER_ATK3,			//  686
	S_CYBER_ATK4,			//  687
	S_CYBER_ATK5,			//  688
	S_CYBER_ATK6,			//  689
	S_CYBER_PAIN,			//  690
	S_CYBER_DIE1,			//  691
	S_CYBER_DIE2,			//  692
	S_CYBER_DIE3,			//  693
	S_CYBER_DIE4,			//  694
	S_CYBER_DIE5,			//  695
	S_CYBER_DIE6,			//  696
	S_CYBER_DIE7,			//  697
	S_CYBER_DIE8,			//  698
	S_CYBER_DIE9,			//  699
	S_CYBER_DIE10,			//  700
	S_PAIN_STND,			//  701
	S_PAIN_RUN1,			//  702
	S_PAIN_RUN2,			//  703
	S_PAIN_RUN3,			//  704
	S_PAIN_RUN4,			//  705
	S_PAIN_RUN5,			//  706
	S_PAIN_RUN6,			//  707
	S_PAIN_ATK1,			//  708
	S_PAIN_ATK2,			//  709
	S_PAIN_ATK3,			//  710
	S_PAIN_ATK4,			//  711
	S_PAIN_PAIN,			//  712
	S_PAIN_PAIN2,			//  713
	S_PAIN_DIE1,			//  714
	S_PAIN_DIE2,			//  715
	S_PAIN_DIE3,			//  716
	S_PAIN_DIE4,			//  717
	S_PAIN_DIE5,			//  718
	S_PAIN_DIE6,			//  719
	S_PAIN_RAISE1,			//  720
	S_PAIN_RAISE2,			//  721
	S_PAIN_RAISE3,			//  722
	S_PAIN_RAISE4,			//  723
	S_PAIN_RAISE5,			//  724
	S_PAIN_RAISE6,			//  725
	S_SSWV_STND,			//  726
	S_SSWV_STND2,			//  727
	S_SSWV_RUN1,			//  728
	S_SSWV_RUN2,			//  729
	S_SSWV_RUN3,			//  730
	S_SSWV_RUN4,			//  731
	S_SSWV_RUN5,			//  732
	S_SSWV_RUN6,			//  733
	S_SSWV_RUN7,			//  734
	S_SSWV_RUN8,			//  735
	S_SSWV_ATK1,			//  736
	S_SSWV_ATK2,			//  737
	S_SSWV_ATK3,			//  738
	S_SSWV_ATK4,			//  739
	S_SSWV_ATK5,			//  740
	S_SSWV_ATK6,			//  741
	S_SSWV_PAIN,			//  742
	S_SSWV_PAIN2,			//  743
	S_SSWV_DIE1,			//  744
	S_SSWV_DIE2,			//  745
	S_SSWV_DIE3,			//  746
	S_SSWV_DIE4,			//  747
	S_SSWV_DIE5,			//  748
	S_SSWV_XDIE1,			//  749
	S_SSWV_XDIE2,			//  750
	S_SSWV_XDIE3,			//  751
	S_SSWV_XDIE4,			//  752
	S_SSWV_XDIE5,			//  753
	S_SSWV_XDIE6,			//  754
	S_SSWV_XDIE7,			//  755
	S_SSWV_XDIE8,			//  756
	S_SSWV_XDIE9,			//  757
	S_SSWV_RAISE1,			//  758
	S_SSWV_RAISE2,			//  759
	S_SSWV_RAISE3,			//  760
	S_SSWV_RAISE4,			//  761
	S_SSWV_RAISE5,			//  762
	S_KEENSTND,				//  763
	S_COMMKEEN,				//  764
	S_COMMKEEN2,			//  765
	S_COMMKEEN3,			//  766
	S_COMMKEEN4,			//  767
	S_COMMKEEN5,			//  768
	S_COMMKEEN6,			//  769
	S_COMMKEEN7,			//  770
	S_COMMKEEN8,			//  771
	S_COMMKEEN9,			//  772
	S_COMMKEEN10,			//  773
	S_COMMKEEN11,			//  774
	S_COMMKEEN12,			//  775
	S_KEENPAIN,				//  776
	S_KEENPAIN2,			//  777
	S_BRAIN,				//  778
	S_BRAIN_PAIN,			//  779
	S_BRAIN_DIE1,			//  780
	S_BRAIN_DIE2,			//  781
	S_BRAIN_DIE3,			//  782
	S_BRAIN_DIE4,			//  783
	S_BRAINEYE,				//  784
	S_BRAINEYESEE,			//  785
	S_BRAINEYE1,			//  786
	S_SPAWN1,				//  787
	S_SPAWN2,				//  788
	S_SPAWN3,				//  789
	S_SPAWN4,				//  790
	S_SPAWNFIRE1,			//  791
	S_SPAWNFIRE2,			//  792
	S_SPAWNFIRE3,			//  793
	S_SPAWNFIRE4,			//  794
	S_SPAWNFIRE5,			//  795
	S_SPAWNFIRE6,			//  796
	S_SPAWNFIRE7,			//  797
	S_SPAWNFIRE8,			//  798
	S_BRAINEXPLODE1,		//  799
	S_BRAINEXPLODE2,		//  800
	S_BRAINEXPLODE3,		//  801
	S_ARM1,					//  802
	S_ARM1A,				//  803
	S_ARM2,					//  804
	S_ARM2A,				//  805
	S_BAR1,					//  806
	S_BAR2,					//  807
	S_BEXP,					//  808
	S_BEXP2,				//  809
	S_BEXP3,				//  810
	S_BEXP4,				//  811
	S_BEXP5,				//  812
	S_BBAR1,				//  813
	S_BBAR2,				//  814
	S_BBAR3,				//  815
	S_BON1,					//  816
	S_BON1A,				//  817
	S_BON1B,				//  818
	S_BON1C,				//  819
	S_BON1D,				//  820
	S_BON1E,				//  821
	S_BON2,					//  822
	S_BON2A,				//  823
	S_BON2B,				//  824
	S_BON2C,				//  825
	S_BON2D,				//  826
	S_BON2E,				//  827
	S_BKEY,					//  828
	S_BKEY2,				//  829
	S_RKEY,					//  830
	S_RKEY2,				//  831
	S_YKEY,					//  832
	S_YKEY2,				//  833
	S_BSKULL,				//  834
	S_BSKULL2,				//  835
	S_RSKULL,				//  836
	S_RSKULL2,				//  837
	S_YSKULL,				//  838
	S_YSKULL2,				//  839
	S_STIM,					//  840
	S_MEDI,					//  841
	S_SOUL,					//  842
	S_SOUL2,				//  843
	S_SOUL3,				//  844
	S_SOUL4,				//  845
	S_SOUL5,				//  846
	S_SOUL6,				//  847
	S_PINV,					//  848
	S_PINV2,				//  849
	S_PINV3,				//  850
	S_PINV4,				//  851
	S_PSTR,					//  852
	S_PINS,					//  853
	S_PINS2,				//  854
	S_PINS3,				//  855
	S_PINS4,				//  856
	S_MEGA,					//  857
	S_MEGA2,				//  858
	S_MEGA3,				//  859
	S_MEGA4,				//  860
	S_SUIT,					//  861
	S_PMAP,					//  862
	S_PMAP2,				//  863
	S_PMAP3,				//  864
	S_PMAP4,				//  865
	S_PMAP5,				//  866
	S_PMAP6,				//  867
	S_PVIS,					//  868
	S_PVIS2,				//  869
	S_CLIP,					//  870
	S_AMMO,					//  871
	S_ROCK,					//  872
	S_BROK,					//  873
	S_CELL,					//  874
	S_CELP,					//  875
	S_SHEL,					//  876
	S_SBOX,					//  877
	S_BPAK,					//  878
	S_BFUG,					//  879
	S_MGUN,					//  880
	S_CSAW,					//  881
	S_LAUN,					//  882
	S_PLAS,					//  883
	S_SHOT,					//  884
	S_SHOT2,				//  885
	S_COLU,					//  886
	S_STALAG,				//  887
	S_BLOODYTWITCH,			//  888
	S_BLOODYTWITCH2,		//  889
	S_BLOODYTWITCH3,		//  890
	S_BLOODYTWITCH4,		//  891
	S_DEADTORSO,			//  892
	S_DEADBOTTOM,			//  893
	S_HEADSONSTICK,			//  894
	S_GIBS,					//  895
	S_HEADONASTICK,			//  896
	S_HEADCANDLES,			//  897
	S_HEADCANDLES2,			//  898
	S_DEADSTICK,			//  899
	S_LIVESTICK,			//  900
	S_LIVESTICK2,			//  901
	S_MEAT2,				//  902
	S_MEAT3,				//  903
	S_MEAT4,				//  904
	S_MEAT5,				//  905
	S_STALAGTITE,			//  906
	S_TALLGRNCOL,			//  907
	S_SHRTGRNCOL,			//  908
	S_TALLREDCOL,			//  909
	S_SHRTREDCOL,			//  910
	S_CANDLESTIK,			//  911
	S_CANDELABRA,			//  912
	S_SKULLCOL,				//  913
	S_TORCHTREE,			//  914
	S_BIGTREE,				//  915
	S_TECHPILLAR,			//  916
	S_EVILEYE,				//  917
	S_EVILEYE2,				//  918
	S_EVILEYE3,				//  919
	S_EVILEYE4,				//  920
	S_FLOATSKULL,			//  921
	S_FLOATSKULL2,			//  922
	S_FLOATSKULL3,			//  923
	S_HEARTCOL,				//  924
	S_HEARTCOL2,			//  925
	S_BLUETORCH,			//  926
	S_BLUETORCH2,			//  927
	S_BLUETORCH3,			//  928
	S_BLUETORCH4,			//  929
	S_GREENTORCH,			//  930
	S_GREENTORCH2,			//  931
	S_GREENTORCH3,			//  932
	S_GREENTORCH4,			//  933
	S_REDTORCH,				//  934
	S_REDTORCH2,			//  935
	S_REDTORCH3,			//  936
	S_REDTORCH4,			//  937
	S_BTORCHSHRT,			//  938
	S_BTORCHSHRT2,			//  939
	S_BTORCHSHRT3,			//  940
	S_BTORCHSHRT4,			//  941
	S_GTORCHSHRT,			//  942
	S_GTORCHSHRT2,			//  943
	S_GTORCHSHRT3,			//  944
	S_GTORCHSHRT4,			//  945
	S_RTORCHSHRT,			//  946
	S_RTORCHSHRT2,			//  947
	S_RTORCHSHRT3,			//  948
	S_RTORCHSHRT4,			//  949
	S_HANGNOGUTS,			//  950
	S_HANGBNOBRAIN,			//  951
	S_HANGTLOOKDN,			//  952
	S_HANGTSKULL,			//  953
	S_HANGTLOOKUP,			//  954
	S_HANGTNOBRAIN,			//  955
	S_COLONGIBS,			//  956
	S_SMALLPOOL,			//  957
	S_BRAINSTEM,			//  958
	S_TECHLAMP,				//  959
	S_TECHLAMP2,			//  960
	S_TECHLAMP3,			//  961
	S_TECHLAMP4,			//  962
	S_TECH2LAMP,			//  963
	S_TECH2LAMP2,			//  964
	S_TECH2LAMP3,			//  965
	S_TECH2LAMP4,			//  966
	S_TNT1,					//  967
	S_GRENADE,				//  968
	S_DETONATE,				//  969
	S_DETONATE2,			//  970
	S_DETONATE3,			//  971
	S_DOGS_STND,			//  972
	S_DOGS_STND2,			//  973
	S_DOGS_RUN1,			//  974
	S_DOGS_RUN2,			//  975
	S_DOGS_RUN3,			//  976
	S_DOGS_RUN4,			//  977
	S_DOGS_RUN5,			//  978
	S_DOGS_RUN6,			//  979
	S_DOGS_RUN7,			//  980
	S_DOGS_RUN8,			//  981
	S_DOGS_ATK1,			//  982
	S_DOGS_ATK2,			//  983
	S_DOGS_ATK3,			//  984
	S_DOGS_PAIN,			//  985
	S_DOGS_PAIN2,			//  986
	S_DOGS_DIE1,			//  987
	S_DOGS_DIE2,			//  988
	S_DOGS_DIE3,			//  989
	S_DOGS_DIE4,			//  990
	S_DOGS_DIE5,			//  991
	S_DOGS_DIE6,			//  992
	S_DOGS_RAISE1,			//  993
	S_DOGS_RAISE2,			//  994
	S_DOGS_RAISE3,			//  995
	S_DOGS_RAISE4,			//  996
	S_DOGS_RAISE5,			//  997
	S_DOGS_RAISE6,			//  998
	S_OLDBFG1,				//  999
	S_OLDBFG2,				// 1000
	S_OLDBFG3,				// 1001
	S_OLDBFG4,				// 1002
	S_OLDBFG5,				// 1003
	S_OLDBFG6,				// 1004
	S_OLDBFG7,				// 1005
	S_OLDBFG8,				// 1006
	S_OLDBFG9,				// 1007
	S_OLDBFG10,				// 1008
	S_OLDBFG11,				// 1009
	S_OLDBFG12,				// 1010
	S_OLDBFG13,				// 1011
	S_OLDBFG14,				// 1012
	S_OLDBFG15,				// 1013
	S_OLDBFG16,				// 1014
	S_OLDBFG17,				// 1015
	S_OLDBFG18,				// 1016
	S_OLDBFG19,				// 1017
	S_OLDBFG20,				// 1018
	S_OLDBFG21,				// 1019
	S_OLDBFG22,				// 1020
	S_OLDBFG23,				// 1021
	S_OLDBFG24,				// 1022
	S_OLDBFG25,				// 1023
	S_OLDBFG26,				// 1024
	S_OLDBFG27,				// 1025
	S_OLDBFG28,				// 1026
	S_OLDBFG29,				// 1027
	S_OLDBFG30,				// 1028
	S_OLDBFG31,				// 1029
	S_OLDBFG32,				// 1030
	S_OLDBFG33,				// 1031
	S_OLDBFG34,				// 1032
	S_OLDBFG35,				// 1033
	S_OLDBFG36,				// 1034
	S_OLDBFG37,				// 1035
	S_OLDBFG38,				// 1036
	S_OLDBFG39,				// 1037
	S_OLDBFG40,				// 1038
	S_OLDBFG41,				// 1039
	S_OLDBFG42,				// 1040
	S_OLDBFG43,				// 1041
	S_PLS1BALL,				// 1042
	S_PLS1BALL2,			// 1043
	S_PLS1EXP,				// 1044
	S_PLS1EXP2,				// 1045
	S_PLS1EXP3,				// 1046
	S_PLS1EXP4,				// 1047
	S_PLS1EXP5,				// 1048
	S_PLS2BALL,				// 1049
	S_PLS2BALL2,			// 1050
	S_PLS2BALLX1,			// 1051
	S_PLS2BALLX2,			// 1052
	S_PLS2BALLX3,			// 1053
	S_BON3,					// 1054
	S_BON4,					// 1055
	S_BSKUL_STND,			// 1056
	S_BSKUL_RUN1,			// 1057
	S_BSKUL_RUN2,			// 1058
	S_BSKUL_RUN3,			// 1059
	S_BSKUL_RUN4,			// 1060
	S_BSKUL_ATK1,			// 1061
	S_BSKUL_ATK2,			// 1062
	S_BSKUL_ATK3,			// 1063
	S_BSKUL_PAIN1,			// 1064
	S_BSKUL_PAIN2,			// 1065
	S_BSKUL_PAIN3,			// 1066
	S_BSKUL_DIE1,			// 1067
	S_BSKUL_DIE2,			// 1068
	S_BSKUL_DIE3,			// 1069
	S_BSKUL_DIE4,			// 1070
	S_BSKUL_DIE5,			// 1071
	S_BSKUL_DIE6,			// 1072
	S_BSKUL_DIE7,			// 1073
	S_BSKUL_DIE8,			// 1074
	S_MUSHROOM,				// 1075
	S_GRENADEX,				// 1076	DEH NUM STATES
	S_GRENADEX2,			// 1077
	S_DETONATEX,			// 1078
	S_DETONATEX2,			// 1079
	S_DETONATEX3,			// 1080
	S_PIPEBOMB,				// 1081
	S_PIPEBOMB2,			// 1082
	S_MINE,					// 1083
	S_MINE2,				// 1084
	S_TEMPSOUNDORIGIN1,		// 1085
	S_SMALL_WHITE_LIGHT,	// 1086
	S_SPLASH1,				// 1087
	S_SPLASH2,				// 1088
	S_SPLASH3,				// 1089
	S_SPLASH4,				// 1090
	S_SPLASHX,				// 1091
	S_SPLASHBASE1,			// 1092
	S_SPLASHBASE2,			// 1093
	S_SPLASHBASE3,			// 1094
	S_SPLASHBASE4,			// 1095
	S_SPLASHBASE5,			// 1096
	S_SPLASHBASE6,			// 1097
	S_SPLASHBASE7,			// 1098
	S_LAVASPLASH1,			// 1099
	S_LAVASPLASH2,			// 1100
	S_LAVASPLASH3,			// 1101
	S_LAVASPLASH4,			// 1102
	S_LAVASPLASHX,			// 1103
	S_LAVASMOKE1,			// 1104
	S_LAVASMOKE2,			// 1105
	S_LAVASMOKE3,			// 1106
	S_LAVASMOKE4,			// 1107
	S_LAVASMOKE5,			// 1108
	S_LAVASMOKE6,			// 1109
	S_LAVASMOKE7,			// 1110
	S_SLUDGESPLASH1,		// 1111
	S_SLUDGESPLASH2,		// 1112
	S_SLUDGESPLASH3,		// 1113
	S_SLUDGESPLASH4,		// 1114
	S_SLUDGESPLASHX,		// 1115
	S_SLUDGESPLASHBASE1,	// 1116
	S_SLUDGESPLASHBASE2,	// 1117
	S_SLUDGESPLASHBASE3,	// 1118
	S_SLUDGESPLASHBASE4,	// 1119
	S_SLUDGESPLASHBASE5,	// 1120
	S_SLUDGESPLASHBASE6,	// 1121
	S_SLUDGESPLASHBASE7,	// 1122
	S_BLOODSPLASH1,			// 1123
	S_BLOODSPLASH2,			// 1124
	S_BLOODSPLASH3,			// 1125
	S_BLOODSPLASH4,			// 1126
	S_BLOODSPLASHX,			// 1127
	S_BLOODSPLASHBASE1,		// 1128
	S_BLOODSPLASHBASE2,		// 1129
	S_BLOODSPLASHBASE3,		// 1130
	S_BLOODSPLASHBASE4,		// 1131
	S_BLOODSPLASHBASE5,		// 1132
	S_BLOODSPLASHBASE6,		// 1133
	S_BLOODSPLASHBASE7,		// 1134
	S_NUKESPLASH1,			// 1135
	S_NUKESPLASH2,			// 1136
	S_NUKESPLASH3,			// 1137
	S_NUKESPLASH4,			// 1138
	S_NUKESPLASHX,			// 1139
	S_NUKESPLASHBASE1,		// 1140
	S_NUKESPLASHBASE2,		// 1141
	S_NUKESPLASHBASE3,		// 1142
	S_NUKESPLASHBASE4,		// 1143
	S_NUKESPLASHBASE5,		// 1144
	S_NUKESPLASHBASE6,		// 1145
	S_NUKESPLASHBASE7,		// 1146
	S_BLACKSPLASH1,			// 1147
	S_BLACKSPLASH2,			// 1148
	S_BLACKSPLASH3,			// 1149
	S_BLACKSPLASH4,			// 1150
	S_BLACKSPLASHX,			// 1151
	S_BLACKSPLASHBASE1,		// 1152
	S_BLACKSPLASHBASE2,		// 1153
	S_BLACKSPLASHBASE3,		// 1154
	S_BLACKSPLASHBASE4,		// 1155
	S_BLACKSPLASHBASE5,		// 1156
	S_BLACKSPLASHBASE6,		// 1157
	S_BLACKSPLASHBASE7,		// 1158
	S_BLUEBLOOD1,			// 1159
	S_BLUEBLOOD2,			// 1160
	S_BLUEBLOOD3,			// 1161
	S_GREENBLOOD1,			// 1162
	S_GREENBLOOD2,			// 1163
	S_GREENBLOOD3,			// 1164
	S_TGREENFLAME,			// 1165
	S_TGREENFLAME2,			// 1166
	S_TGREENFLAME3,			// 1167
	S_TGREENFLAME4,			// 1168
	S_TBLUEFLAME,			// 1169
	S_TBLUEFLAME2,			// 1170
	S_TBLUEFLAME3,			// 1171
	S_TBLUEFLAME4,			// 1172
	S_TREDFLAME,			// 1173
	S_TREDFLAME2,			// 1174
	S_TREDFLAME3,			// 1175
	S_TREDFLAME4,			// 1176
	S_SGREENFLAME,			// 1177
	S_SGREENFLAME2,			// 1178
	S_SGREENFLAME3,			// 1179
	S_SGREENFLAME4,			// 1180
	S_SBLUEFLAME,			// 1181
	S_SBLUEFLAME2,			// 1182
	S_SBLUEFLAME3,			// 1183
	S_SBLUEFLAME4,			// 1184
	S_SREDFLAME,			// 1185
	S_SREDFLAME2,			// 1186
	S_SREDFLAME3,			// 1187
	S_SREDFLAME4,			// 1188
	S_YELLOWFLAME,			// 1189
	S_YELLOWFLAME2,			// 1190
	S_YELLOWFLAME3,			// 1191
	S_YELLOWFLAME4,			// 1192
	S_CANDLEFLAME,			// 1193
	S_CANDLEFLAME2,			// 1194
	S_EVILEYED,				// 1195
	S_EVILEYED2,			// 1196
	S_HEADFLAME,			// 1197
	S_HEADFLAME2,			// 1198
	S_EXPLODE0,				// 1199
	S_DYNSPECIAL1,			// 1200
	S_DYNSPECIAL2,			// 1201
	S_DYNSPECIAL3,			// 1202
	S_DYNSPECIAL4,			// 1203
	S_DYNSPECIAL5,			// 1204
	S_DYNSPECIAL6,			// 1205
	NUMSTATES
} statenum_t;

// Map Things.
//  Savegames will not be backward compatible if these entries are changed.
typedef enum
{
	MT_PLAYER,				//    0 dmednum   -1 
	MT_POSSESSED,			//    1 dmednum 3004 Zombieman
	MT_SHOTGUY,				//    2 dmednum    9 Shotgun Guy
	MT_VILE,				//    3 dmednum   64 Arch-Vile
	MT_FIRE,				//    4 dmednum   -1 
	MT_UNDEAD,				//    5 dmednum   66 Revenant
	MT_TRACER,				//    6 dmednum   -1 tracer
	MT_SMOKE,				//    7 dmednum   -1 smoke
	MT_FATSO,				//    8 dmednum   67 Mancubus
	MT_FATSHOT,				//    9 dmednum   -1 
	MT_CHAINGUY,			//   10 dmednum   65 Heavy Weapon Dude
	MT_TROOP,				//   11 dmednum 3001 Imp
	MT_SERGEANT,			//   12 dmednum 3002 Demon
	MT_SHADOWS,				//   13 dmednum   58 Spectre
	MT_HEAD,				//   14 dmednum 3005 Cacodemon
	MT_BRUISER,				//   15 dmednum 3003 Baron of Hell
	MT_BRUISERSHOT,			//   16 dmednum   -1 
	MT_KNIGHT,				//   17 dmednum   69 Hell Knight
	MT_SKULL,				//   18 dmednum 3006 Lost Soul
	MT_SPIDER,				//   19 dmednum    7 The Spider Mastermind
	MT_BABY,				//   20 dmednum   68 Arachnotron
	MT_CYBORG,				//   21 dmednum   16 Cyberdemon
	MT_PAIN,				//   22 dmednum   71 Pain Elemental
	MT_WOLFSS,				//   23 dmednum   84 
	MT_KEEN,				//   24 dmednum   72 
	MT_BOSSBRAIN,			//   25 dmednum   88 
	MT_BOSSSPIT,			//   26 dmednum   89 
	MT_BOSSTARGET,			//   27 dmednum   87 
	MT_SPAWNSHOT,			//   28 dmednum   -1 
	MT_SPAWNFIRE,			//   29 dmednum   -1 
	MT_BARREL,				//   30 dmednum 2035 
	MT_TROOPSHOT,			//   31 dmednum   -1 
	MT_HEADSHOT,			//   32 dmednum   -1 
	MT_ROCKET,				//   33 dmednum   -1 
	MT_PLASMA,				//   34 dmednum   -1 
	MT_BFG,					//   35 dmednum   -1 
	MT_ARACHPLAZ,			//   36 dmednum   -1 
	MT_PUFF,				//   37 dmednum   -1 
	MT_BLOOD,				//   38 dmednum   -1 
	MT_TFOG,				//   39 dmednum   -1 
	MT_IFOG,				//   40 dmednum   -1 
	MT_TELEPORTMAN,			//   41 dmednum   14 
	MT_EXTRABFG,			//   42 dmednum   -1 
	MT_MISC0,				//   43 dmednum 2018 
	MT_MISC1,				//   44 dmednum 2019 
	MT_MISC2,				//   45 dmednum 2014 
	MT_MISC3,				//   46 dmednum 2015 
	MT_MISC4,				//   47 dmednum    5 
	MT_MISC5,				//   48 dmednum   13 
	MT_MISC6,				//   49 dmednum    6 
	MT_MISC7,				//   50 dmednum   39 
	MT_MISC8,				//   51 dmednum   38 
	MT_MISC9,				//   52 dmednum   40 
	MT_MISC10,				//   53 dmednum 2011 
	MT_MISC11,				//   54 dmednum 2012 
	MT_MISC12,				//   55 dmednum 2013 
	MT_INV,					//   56 dmednum 2022 
	MT_MISC13,				//   57 dmednum 2023 
	MT_INS,					//   58 dmednum 2024 
	MT_MISC14,				//   59 dmednum 2025 
	MT_MISC15,				//   60 dmednum 2026 
	MT_MISC16,				//   61 dmednum 2045 
	MT_MEGA,				//   62 dmednum   83 
	MT_CLIP,				//   63 dmednum 2007 
	MT_MISC17,				//   64 dmednum 2048 
	MT_MISC18,				//   65 dmednum 2010 
	MT_MISC19,				//   66 dmednum 2046 
	MT_MISC20,				//   67 dmednum 2047 
	MT_MISC21,				//   68 dmednum   17 
	MT_MISC22,				//   69 dmednum 2008 
	MT_MISC23,				//   70 dmednum 2049 
	MT_MISC24,				//   71 dmednum    8 
	MT_MISC25,				//   72 dmednum 2006 BFG 9000
	MT_CHAINGUN,			//   73 dmednum 2002 
	MT_MISC26,				//   74 dmednum 2005 
	MT_MISC27,				//   75 dmednum 2003 
	MT_MISC28,				//   76 dmednum 2004 
	MT_SHOTGUN,				//   77 dmednum 2001 
	MT_SUPERSHOTGUN,		//   78 dmednum   82 
	MT_MISC29,				//   79 dmednum   85 
	MT_MISC30,				//   80 dmednum   86 
	MT_MISC31,				//   81 dmednum 2028 
	MT_MISC32,				//   82 dmednum   30 
	MT_MISC33,				//   83 dmednum   31 
	MT_MISC34,				//   84 dmednum   32 
	MT_MISC35,				//   85 dmednum   33 
	MT_MISC36,				//   86 dmednum   37 
	MT_MISC37,				//   87 dmednum   36 
	MT_MISC38,				//   88 dmednum   41 
	MT_MISC39,				//   89 dmednum   42 
	MT_MISC40,				//   90 dmednum   43 
	MT_MISC41,				//   91 dmednum   44 
	MT_MISC42,				//   92 dmednum   45 
	MT_MISC43,				//   93 dmednum   46 
	MT_MISC44,				//   94 dmednum   55 
	MT_MISC45,				//   95 dmednum   56 
	MT_MISC46,				//   96 dmednum   57 
	MT_MISC47,				//   97 dmednum   47 
	MT_MISC48,				//   98 dmednum   48 
	MT_MISC49,				//   99 dmednum   34 
	MT_MISC50,				//  100 dmednum   35 
	MT_MISC51,				//  101 dmednum   49 
	MT_MISC52,				//  102 dmednum   50 
	MT_MISC53,				//  103 dmednum   51 
	MT_MISC54,				//  104 dmednum   52 
	MT_MISC55,				//  105 dmednum   53 
	MT_MISC56,				//  106 dmednum   59 
	MT_MISC57,				//  107 dmednum   60 
	MT_MISC58,				//  108 dmednum   61 
	MT_MISC59,				//  109 dmednum   62 
	MT_MISC60,				//  110 dmednum   63 
	MT_MISC61,				//  111 dmednum   22 
	MT_MISC62,				//  112 dmednum   15 
	MT_MISC63,				//  113 dmednum   18 
	MT_MISC64,				//  114 dmednum   21 
	MT_MISC65,				//  115 dmednum   23 
	MT_MISC66,				//  116 dmednum   20 
	MT_MISC67,				//  117 dmednum   19 
	MT_MISC68,				//  118 dmednum   10 
	MT_MISC69,				//  119 dmednum   12 
	MT_MISC70,				//  120 dmednum   28 
	MT_MISC71,				//  121 dmednum   24 
	MT_MISC72,				//  122 dmednum   27 
	MT_MISC73,				//  123 dmednum   29 
	MT_MISC74,				//  124 dmednum   25 
	MT_MISC75,				//  125 dmednum   26 
	MT_MISC76,				//  126 dmednum   54 
	MT_MISC77,				//  127 dmednum   70 
	MT_MISC78,				//  128 dmednum   73 
	MT_MISC79,				//  129 dmednum   74 
	MT_MISC80,				//  130 dmednum   75 
	MT_MISC81,				//  131 dmednum   76 
	MT_MISC82,				//  132 dmednum   77 
	MT_MISC83,				//  133 dmednum   78 
	MT_MISC84,				//  134 dmednum   79 
	MT_MISC85,				//  135 dmednum   80 
	MT_MISC86,				//  136 dmednum   81 
	MT_PUSH,				//  137 dmednum 5001 
	MT_PULL,				//  138 dmednum 5002 
	MT_DOGS,				//  139 dmednum  888 mbfdog
	MT_PLASMA1,				//  140 dmednum   -1
	MT_PLASMA2,				//  141 dmednum   -1
	MT_SCEPTRE,				//  142 dmednum 2016
	MT_BIBLE,				//  143 dmednum 2017
	MT_STEALTH_BABY,		//  144 dmednum 9050 Arachnotron
	MT_STEALTH_VILE,		//  145 dmednum 9051 Arch-Vile
	MT_STEALTH_BRUISER,		//  146 dmednum 9052 Baron of Hell
	MT_STEALTH_HEAD,		//  147 dmednum 9053 Cacodemon
	MT_STEALTH_CHAINGUY,	//  148 dmednum 9054 Heavy Weapon Dude
	MT_STEALTH_SERGEANT,	//  149 dmednum 9055 Demon
	MT_STEALTH_KNIGHT,		//  150 dmednum 9056 Hell Knight
	MT_STEALTH_TROOP,		//  151 dmednum 9057 Imp
	MT_STEALTH_FATSO,		//  152 dmednum 9058 Mancubus
	MT_STEALTH_UNDEAD,		//  153 dmednum 9059 Revenant
	MT_STEALTH_SHOTGUY,		//  154 dmednum 9060 Shotgun Guy
	MT_STEALTH_POSSESSED,	//  155 dmednum 9061 Zombieman
	MT_MUSICSOURCE,			//  156 dmednum 14164 
	MT_STALAG,				//  157 dmednum   90 
	MT_TPUNDERFAKE,			//  158 dmednum 14200 
	MT_TPOVERFAKE,			//  159 dmednum 14300 
	MT_GRENADEX,			//  160 dmednum   -1 
	MT_PIPEBOMB,			//  161 dmednum   -1 
	MT_MINE,				//  162 dmednum 3007 
	MT_LIGHTSOURCE,			//  163 dmednum 5000 
	MT_TEMPSOUNDORIGIN,		//  164 dmednum   -1 
	MT_SPAWNSPOT,			//  165 dmednum 7600 
	MT_SOUNDSOURCE,			//  167 dmednum 14064 
	MT_TRIGAMBIENT,			//  168 dmednum 13964 
	MT_FAKESOUNDSOURCE,		//  169 dmednum 15551 
	MT_SPLASH,				//  170 dmednum   -1 
	MT_SPLASHBASE,			//  171 dmednum   -1 
	MT_LAVASPLASH,			//  172 dmednum   -1 
	MT_LAVASMOKE,			//  173 dmednum   -1 
	MT_SLUDGESPLASH,		//  174 dmednum   -1 
	MT_SLUDGESPLASHBASE,	//  175 dmednum   -1 
	MT_BLOODSPLASH,			//  176 dmednum   -1 
	MT_BLOODSPLASHBASE,		//  177 dmednum   -1 
	MT_NUKESPLASH,			//  178 dmednum   -1 
	MT_NUKESPLASHBASE,		//  179 dmednum   -1 
	MT_BLACKSPLASH,			//  180 dmednum   -1 
	MT_BLACKSPLASHBASE,		//  181 dmednum   -1 
	MT_BLUEBLOOD,			//  182 dmednum   -1 
	MT_GREENBLOOD,			//  183 dmednum   -1 
	MT_UNKNOWNTHING,		//  184 dmednum   -1 
	MT_TALLGREENFLAME,		//  185 dmednum   -1 
	MT_TALLBLUEFLAME,		//  186 dmednum   -1 
	MT_TALLREDFLAME,		//  187 dmednum   -1 
	MT_SMALLGREENFLAME,		//  188 dmednum   -1 
	MT_SMALLBLUEFLAME,		//  189 dmednum   -1 
	MT_SMALLREDFLAME,		//  190 dmednum   -1 
	MT_YELLOWFLAMES,		//  191 dmednum   -1 
	MT_CANDLEFLAMES,		//  192 dmednum   -1 
	MT_EVILEYE2,			//  193 dmednum   -1 
	MT_SKULLFLAME,			//  194 dmednum   -1 
	MT_STROBE1,				//  195 dmednum 5500 
	MT_STROBE2,				//  196 dmednum 5501 
	MT_STROBE3,				//  197 dmednum 5502 
	MT_STROBE4,				//  198 dmednum 5503 
	MT_STROBE5,				//  199 dmednum 5504 
	MT_STROBEX,				//  200 dmednum 5505 
} mobjtype_t;

// Text.
typedef enum
{
	TXT_D_DEVSTR,					// 000
	TXT_D_CDROM,					// 001
	TXT_PRESSKEY,					// 002
	TXT_PRESSYN,					// 003
	TXT_QUITMSG,					// 004
	TXT_LOADNET,					// 005
	TXT_QLOADNET,					// 006
	TXT_QSAVESPOT,					// 007
	TXT_SAVEDEAD,					// 008
	TXT_QSPROMPT,					// 009
	TXT_QLPROMPT,					// 010
	TXT_NEWGAME,					// 011
	TXT_NIGHTMARE,					// 012
	TXT_SWSTRING,					// 013
	TXT_MSGOFF,						// 014
	TXT_MSGON,						// 015
	TXT_NETEND,						// 016
	TXT_ENDGAME,					// 017
	TXT_DOSY,						// 018
	TXT_DETAILHI,					// 019
	TXT_DETAILLO,					// 020
	TXT_GAMMALVL0,					// 021
	TXT_GAMMALVL1,					// 022
	TXT_GAMMALVL2,					// 023
	TXT_GAMMALVL3,					// 024
	TXT_GAMMALVL4,					// 025
	TXT_EMPTYSTRING,				// 026
	TXT_GOTARMOR,					// 027
	TXT_GOTMEGA,					// 028
	TXT_GOTHTHBONUS,				// 029
	TXT_GOTARMBONUS,				// 030
	TXT_GOTSTIM,					// 031
	TXT_GOTMEDINEED,				// 032
	TXT_GOTMEDIKIT,					// 033
	TXT_GOTSUPER,					// 034
	TXT_GOTBLUECARD,				// 035
	TXT_GOTYELWCARD,				// 036
	TXT_GOTREDCARD,					// 037
	TXT_GOTBLUESKUL,				// 038
	TXT_GOTYELWSKUL,				// 039
	TXT_GOTREDSKULL,				// 040
	TXT_GOTINVUL,					// 041
	TXT_GOTBERSERK,					// 042
	TXT_GOTINVIS,					// 043
	TXT_GOTSUIT,					// 044
	TXT_GOTMAP,						// 045
	TXT_GOTVISOR,					// 046
	TXT_GOTMSPHERE,					// 047
	TXT_GOTCLIP,					// 048
	TXT_GOTCLIPBOX,					// 049
	TXT_GOTROCKET,					// 050
	TXT_GOTROCKBOX,					// 051
	TXT_GOTCELL,					// 052
	TXT_GOTCELLBOX,					// 053
	TXT_GOTSHELLS,					// 054
	TXT_GOTSHELLBOX,				// 055
	TXT_GOTBACKPACK,				// 056
	TXT_GOTBFG9000,					// 057
	TXT_GOTCHAINGUN,				// 058
	TXT_GOTCHAINSAW,				// 059
	TXT_GOTLAUNCHER,				// 060
	TXT_GOTPLASMA,					// 061
	TXT_GOTSHOTGUN,					// 062
	TXT_GOTSHOTGUN2,				// 063
	TXT_PD_BLUEO,					// 064
	TXT_PD_REDO,					// 065
	TXT_PD_YELLOWO,					// 066
	TXT_PD_BLUEK,					// 067
	TXT_PD_REDK,					// 068
	TXT_PD_YELLOWK,					// 069
	TXT_PD_BLUEKC,					// 070
	TXT_PD_REDKC,					// 071
	TXT_PD_YELLOWKC,				// 072
	TXT_PD_BLUESK,					// 073
	TXT_PD_REDSK,					// 074
	TXT_PD_YELLOWSK,				// 075
	TXT_PD_BLUEKCA,					// 076
	TXT_PD_REDKCA,					// 077
	TXT_PD_YELLOWKCA,				// 078
	TXT_PD_BLUESKA,					// 079
	TXT_PD_REDSKA,					// 080
	TXT_PD_YELLOWSKA,				// 081
	TXT_PD_ANYKEY,					// 082
	TXT_PD_THREEKEYS,				// 083
	TXT_PD_SIXKEYS,					// 084
	TXT_PD_THREECARDKEYS,			// 085
	TXT_PD_THREESKULLKEYS,			// 086
	TXT_GGSAVED,					// 087
	TXT_HUSTR_MSGU,					// 088
	TXT_HUSTR_CHATMACRO1,			// 089
	TXT_HUSTR_CHATMACRO2,			// 090
	TXT_HUSTR_CHATMACRO3,			// 091
	TXT_HUSTR_CHATMACRO4,			// 092
	TXT_HUSTR_CHATMACRO5,			// 093
	TXT_HUSTR_CHATMACRO6,			// 094
	TXT_HUSTR_CHATMACRO7,			// 095
	TXT_HUSTR_CHATMACRO8,			// 096
	TXT_HUSTR_CHATMACRO9,			// 097
	TXT_HUSTR_CHATMACRO0,			// 098
	TXT_HUSTR_TALKTOSELF1,			// 099
	TXT_HUSTR_TALKTOSELF2,			// 100
	TXT_HUSTR_TALKTOSELF3,			// 101
	TXT_HUSTR_TALKTOSELF4,			// 102
	TXT_HUSTR_TALKTOSELF5,			// 103
	TXT_HUSTR_MESSAGESENT,			// 104
	TXT_HUSTR_PLRGREEN,				// 105
	TXT_HUSTR_PLRINDIGO,			// 106
	TXT_HUSTR_PLRBROWN,				// 107
	TXT_HUSTR_PLRRED,				// 108
	TXT_AMSTR_FOLLOWON,				// 109
	TXT_AMSTR_FOLLOWOFF,			// 110
	TXT_AMSTR_GRIDON,				// 111
	TXT_AMSTR_GRIDOFF,				// 112
	TXT_AMSTR_MARKEDSPOT,			// 113
	TXT_AMSTR_MARKSCLEARED,			// 114
	TXT_STSTR_MUS,					// 115
	TXT_STSTR_NOMUS,				// 116
	TXT_STSTR_DQDON,				// 117
	TXT_STSTR_DQDOFF,				// 118
	TXT_STSTR_KFAADDED,				// 119
	TXT_STSTR_FAADDED,				// 120
	TXT_STSTR_NCON,					// 121
	TXT_STSTR_NCOFF,				// 122
	TXT_STSTR_BEHOLD,				// 123
	TXT_STSTR_BEHOLDX,				// 124
	TXT_STSTR_CHOPPERS,				// 125
	TXT_STSTR_CLEV,					// 126
	TXT_STSTR_SECRETFOUND,			// 127	Added v220-4
	TXT_E1TEXT,						// 128
	TXT_E2TEXT,						// 129
	TXT_E3TEXT,						// 130
	TXT_E4TEXT,						// 131
	TXT_C1TEXT,						// 132
	TXT_C2TEXT,						// 133
	TXT_C3TEXT,						// 134
	TXT_C4TEXT,						// 135
	TXT_C5TEXT,						// 136
	TXT_C6TEXT,						// 137
	TXT_P1TEXT,						// 138
	TXT_P2TEXT,						// 139
	TXT_P3TEXT,						// 140
	TXT_P4TEXT,						// 141
	TXT_P5TEXT,						// 142
	TXT_P6TEXT,						// 143
	TXT_T1TEXT,						// 144
	TXT_T2TEXT,						// 145
	TXT_T3TEXT,						// 146
	TXT_T4TEXT,						// 147
	TXT_T5TEXT,						// 148
	TXT_T6TEXT,						// 149
	TXT_CC_ZOMBIE,					// 150
	TXT_CC_SHOTGUN,					// 151
	TXT_CC_HEAVY,					// 152
	TXT_CC_IMP,						// 153
	TXT_CC_DEMON,					// 154
	TXT_CC_LOST,					// 155
	TXT_CC_CACO,					// 156
	TXT_CC_HELL,					// 157
	TXT_CC_BARON,					// 158
	TXT_CC_ARACH,					// 159
	TXT_CC_PAIN,					// 160
	TXT_CC_REVEN,					// 161
	TXT_CC_MANCU,					// 162
	TXT_CC_ARCH,					// 163
	TXT_CC_SPIDER,					// 164
	TXT_CC_CYBER,					// 165
	TXT_CC_HERO,					// 166
	TXT_QUITMESSAGE1,				// 167
	TXT_QUITMESSAGE2,				// 168
	TXT_QUITMESSAGE3,				// 169
	TXT_QUITMESSAGE4,				// 170
	TXT_QUITMESSAGE5,				// 171
	TXT_QUITMESSAGE6,				// 172
	TXT_QUITMESSAGE7,				// 173
	TXT_QUITMESSAGE8,				// 174
	TXT_QUITMESSAGE9,				// 175
	TXT_QUITMESSAGE10,				// 176
	TXT_QUITMESSAGE11,				// 177
	TXT_QUITMESSAGE12,				// 178
	TXT_QUITMESSAGE13,				// 179
	TXT_QUITMESSAGE14,				// 180
	TXT_QUITMESSAGE15,				// 181
	TXT_QUITMESSAGE16,				// 182
	TXT_QUITMESSAGE17,				// 183
	TXT_QUITMESSAGE18,				// 184
	TXT_QUITMESSAGE19,				// 185
	TXT_QUITMESSAGE20,				// 186
	TXT_QUITMESSAGE21,				// 187
	TXT_QUITMESSAGE22,				// 188
	TXT_JOINNET,					// 189
	TXT_SAVENET,					// 190
	TXT_CLNETLOAD,					// 191
	TXT_LOADMISSING,				// 192
	TXT_RENDER_GLOWFLATS,			// 193
	TXT_RENDER_GLOWTEXTURES,		// 194
	TXT_FINALEFLAT_E1,				// 195
	TXT_FINALEFLAT_E2,				// 196
	TXT_FINALEFLAT_E3,				// 197
	TXT_FINALEFLAT_E4,				// 198
	TXT_FINALEFLAT_C2,				// 199
	TXT_FINALEFLAT_C1,				// 200
	TXT_FINALEFLAT_C3,				// 201
	TXT_FINALEFLAT_C4,				// 202
	TXT_FINALEFLAT_C5,				// 203
	TXT_FINALEFLAT_C6,				// 204
	TXT_ASK_EPISODE,				// 205
	TXT_EPISODE1,					// 206
	TXT_EPISODE2,					// 207
	TXT_EPISODE3,					// 208
	TXT_EPISODE4,					// 209
	TXT_EPISODE5,					// 210
	TXT_EPISODE6,					// 211
	TXT_EPISODE7,					// 212
	TXT_EPISODE8,					// 213
	TXT_EPISODE9,					// 214
	TXT_KILLMSG_SUICIDE,			// 215
	TXT_KILLMSG_WEAPON0,			// 216
	TXT_KILLMSG_PISTOL,				// 217
	TXT_KILLMSG_SHOTGUN,			// 218
	TXT_KILLMSG_CHAINGUN,			// 219
	TXT_KILLMSG_MISSILE,			// 220
	TXT_KILLMSG_PLASMA,				// 221
	TXT_KILLMSG_BFG,				// 222
	TXT_KILLMSG_CHAINSAW,			// 223
	TXT_KILLMSG_SUPERSHOTGUN,		// 224
	TXT_R3D_INFINE_TEXT,			// 225
	TXT_GOTSCPARM1,					// 226	v220-15
	TXT_GOTSCPARM2,					// 227	v220-15
	TXT_GOTSCPARM3,					// 228	v220-15
	TXT_GOTSCPARM4,					// 229	v220-15
	TXT_GOTSCPHLT1,					// 230	v220-15
	TXT_GOTSCPHLT2,					// 231	v220-15
	TXT_GOTSCPHLT3,					// 232	v220-15
	TXT_GOTSCPHLT4,					// 233	v220-15
	TXT_GOTSCPHLT5,					// 234	v220-20
	TXT_GOTSCPHLT6,					// 235	v220-20
	TXT_CUSTOMSPECIAL1,				// 236	Used if Thing has mf3_special set
	TXT_CUSTOMSPECIAL2,				// 237
	TXT_VALIDITYCHECK,				// 238
	NUMTEXT							// 239
} textenum_t;


#endif
