//-----------------------------------------------------------------------------
//
// MBF_DATA.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __MBF_DATA__
#define __MBF_DATA__

#include "dd_types.h"
#include "doom/tables.h"

// Indicate a leaf.
#define	NFx_SUBSECTOR	0x80000000

// Used with lines (ml_flags)

// LineDef attributes (short).
// Note: editors use the term impassable to set MT_BLOCKING
#define ML_BLOCKING			0x0001	// Solid, is an obstacle
#define ML_BLOCKMONSTERS	0x0002	// Blocks monsters only.
#define ML_TWOSIDED			0x0004	// Unset if no sidedef 2

// If a texture is pegged, the texture will have
// the end exposed to air held constant at the
// top or bottom of the texture (stairs or pulled
// down things) and will move with a height change
// of one of the neighbor sectors.
// Unpegged textures always have the first row of
// the texture at the top pixel of the line for both
// top and bottom textures (use next to windows).

#define ML_DONTPEGTOP		0x0008	// upper texture unpegged
#define ML_DONTPEGBOTTOM	0x0010	// lower texture unpegged

#define ML_SECRET			0x0020	// Not to be shown in the AutoMap. In MBF used to prevent monsters opening gen doors
#define ML_SOUNDBLOCK		0x0040	// Block sound

#define ML_DONTDRAW			0x0080	// Don't draw on the automap at all.
#define ML_MAPPED			0x0100	// Set if to be drawn in automap.

//jff 3/21/98 Set if line absorbs use by player
//allow multiple push/switch triggers to be used on one push
#define ML_PASSUSE			0x0200

#define ML_LINEMASK			0x83FF	// Mask to only load valid Doom flags
									// Some maps have unused ones set
// Spare flags used by analyser
#define ML_DRAWFLATS		0x0400	// V220-16
#define ML_VISPRESENT		0x0800	// b211-0
#define ML_IGNOREMISSINGHI	0x1000	// b211-0
#define ML_IGNOREMISSINGLO	0x2000	// b211-0
#define ML_BADLINE			0x4000	// b211-0
#define ML_SPARE			0x8000	// Unused

#define ML_EXTRAFLAGS		0x7C00	// Mask for R3D analysis flags

#endif			// __DOOMDATA__
//-----------------------------------------------------------------------------
//
// $Log:$
//
//-----------------------------------------------------------------------------

