//-----------------------------------------------------------------------------
//
// P_SVTEXARC.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __P_SVTEXARC_H__
#define __P_SVTEXARC_H__

#define MAX_ARCHIVED_TEXTURES	1024

typedef struct
{
	char name[9];
} texentry_t;

typedef struct
{
	texentry_t table[MAX_ARCHIVED_TEXTURES];
	int count;
} texarchive_t;

extern texarchive_t flat_archive;
extern texarchive_t tex_archive;

void	SV_InitTextureArchives(void);
void	SV_WriteTextureArchive(void);
void	SV_ReadTextureArchive(void);
ushort	SV_TextureArchiveNum(int texnum);
ushort	SV_FlatArchiveNum(int flatnum);
int		SV_GetArchiveFlat(int archivenum);
int		SV_GetArchiveTexture(int archivenum);

#endif