//-----------------------------------------------------------------------------
//
// TABLES.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __TABLES__
#define __TABLES__

#include "dd_types.h"

// Binary Angle Measument, BAM.
// v220-8 duplicate defs removed (e.g. ANGLE_45 in .c files replaced with ANG45)
#define ANG30		0x15555555
#define	ANG45		0x20000000
#define	ANG90		0x40000000
#define	ANG180		0x80000000
#define	ANG270		0xc0000000
#define ANGMAX		0xffffffff
	
#define ANGLETOFINESHIFT	19		
#define FINEANGLES			8192
#define FINEMASK			(FINEANGLES-1)

#define SLOPERANGE	2048
#define DPI			3.14159265358979323846	// (double) PI

// Effective size is 10240.
extern fixed_t	finesine[5*FINEANGLES/4];
extern fixed_t	*finecosine;

extern const double	pidiv;

#endif
