//-----------------------------------------------------------------------------
//
// DD_MAIN.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __DD_MAIN_H__
#define __DD_MAIN_H__

#include "sys_direc.h"
#include "p_data.h"

// Note texts[x] fetches the ded_t text.
// This must be used (not texts) as the string may have been changed
#define GET_TXT(x)	(defs.text[x].text)

typedef struct
{
	int numlevels;
	int glnodes;
	int pwadisdoom2;
	int iwadisdoom2;

} checkwad_t;

extern checkwad_t cwinf;

#define TYPE_PWAD		2
#define TYPE_IWAD		1
#define TYPE_UNKNOWN	0

extern int is_shareware;		// true if only episode 1 present
extern directory_t ddRuntimeDir, ddBinDir, r3dUserDir; 	// b211-0

void	DD_Main();
void	DD_GameUpdate(int flags);
void	DD_SetDefsFile(char *filename);

void	MessagePump(void);

// v220-5
extern byte	haslevelExMx[100];
extern byte	haslevelMapxx[100];
extern byte	hasIWADlevel[100];
extern byte	hasPWADlevel[100];

RDBOOL	subfn_CheckWAD(char *fname, uint *crc, int *type);
void	modifyWAD(int changes);
void	changeFileDate(char *filename);

#endif 