//-----------------------------------------------------------------------------
//
// DD_TYPES.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __DD_TYPES_H__
#define __DD_TYPES_H__

typedef unsigned int	nodeindex_t;
typedef unsigned short	thid_t;
typedef unsigned int	uint;
typedef unsigned short	ushort;
typedef unsigned char	byte;
typedef int				fixed_t;
typedef unsigned int	angle_t;

#ifndef size_t
	typedef unsigned int	size_t;
#endif

#ifndef RDBOOL
	#define RDBOOL int
#endif

#ifndef TRUE
	#define TRUE	1
#endif

#ifndef FALSE
	#define FALSE	0
#endif

#ifndef true
	#define true	TRUE
#endif

#ifndef false
	#define false	FALSE
#endif

#define DDMAXCHAR	((char)0x7f)
#define DDMAXSHORT	((short)0x7fff)
#define DDMAXINT	((int)0x7fffffff)	// max pos 32-bit int
#define DDMAXLONG	((long)0x7fffffff)

#define DDMINCHAR	((char)0x80)
#define DDMINSHORT	((short)0x8000)
#define DDMININT 	((int)0x80000000)	// max negative 32-bit integer
#define DDMINLONG	((long)0x80000000)

#include <stdlib.h>

#define MAXDRIVE	_MAX_DRIVE
#define MAXPATH		_MAX_PATH
#define MAXFNAME	_MAX_FNAME
#define MAXDIR		_MAX_DIR
#define MAXEXT		_MAX_EXT
#define MAXFNAMEX	(_MAX_DRIVE + _MAX_PATH + _MAX_FNAME + _MAX_EXT)

#define	MAXPWADNAME		32
#define MAXPATHNAMESIZE	MAXFNAMEX

#endif 