//-----------------------------------------------------------------------------
//
// DE_AUDIO.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __DE_AUDIO_H__
#define __DE_AUDIO_H__

#include "s_main.h"
#include "s_mus.h"
#include "s_cache.h"
#include "s_logic.h"

// Added to with MIDI using WinMM in preference to FMOD (release 4.38.06 (stable))
#include "sys_winmm.h"

typedef struct
{
	char  riff[4];			// "RIFF"
	uint  flen;				// file length
	char  wave[8];			// "WAVEfmt"
	int   fmtsize;			// 16  format size
	short wFormatTag;		//  1  PCM
	short wChannels;		//  1  channel
	int   dwSamplesPerSec;	// samplerate
	int   dwAvgBytesPerSec;	// timebase = avg bytes per second
	short wBlockAlign;		// 1   (block alignment in bytes)
	short wBitsPerSample;	// 8   (PCM only number of bits)
	short cbSize;			// "number of bytes of ASCII info"
	int  datasize;			// data size (nsamps)
} WAVEhdr_t;

typedef struct{
	int		ID;					// identifier "MUS" 0x1A
    ushort	scoreLen;
    ushort	scoreStart;
	ushort	muschannels;			// number of primary channels
	ushort	mussecondaryChannels;	// number of secondary channels
	ushort	instrCnt;
	ushort	dummy;
} MUShdr_t;

#endif 