//-----------------------------------------------------------------------------
//
// DE_BASE.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __DE_BASE_H__
#define __DE_BASE_H__

// Level 4: Compiler warnings
// C4152 nonstandard extension, function/data pointer conversion in expression
// C4155 named type definition in parentheses
// C4201 nonstandard extension used : nameless struct/union
// C4204 nonstandard extension used : non-constant aggregate initializer
// C4706 assignment within conditional expression
#pragma warning (disable:4115 4152 4204 4201 4706)

#include "p_data.h"
#include "dd_defns.h"
#include "dd_wad.h"
#include "dd_main.h"
#include "dd_input.h"

#include "doom/tables.h"

#include "common_vars.h"

#endif 