//-----------------------------------------------------------------------------
//
// GL_DRAW.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __GL_DRAW_H__
#define __GL_DRAW_H__

// 2D drawing routines:
void	GL_DrawPatchNr(int x, int y, int lumpnum);	// v220-8
void	GL_DrawPatch_CS(float x, float y, int lumpnum, RDBOOL nearest);	// v220-8 nearest added

RDBOOL	GL_DrawPagePatch(int lnum);
void	GL_DrawMapnamePatch(int x, int y, int lnum, float alpha);
void	GL_DrawPatch(int x, int y, int lumpnum);
void	GL_DrawPatchLitAlpha(int x, int y, float light, float alpha, int lumpnum);
void	GL_DrawRect(float x, float y, float w, float h, float r,
					float g, float b, float a);
void	GL_DrawScreenFilter(float r, float g, float b, float a);
void	GL_DrawRectTiled(float x, float y, float w, float h, float tw, float th);
int		GL_DrawPSprite(float x, float y, int flip, int splnum, RDBOOL ishudspr, RDBOOL shiftleft);

// Filters:
void	GL_DrawFilter(void);

// wi_stuff background
void	GL_DrawBackground(void);
#endif 