//-----------------------------------------------------------------------------
//
// GL_FONT.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __GL_FONT_H__
#define __GL_FONT_H__

#include <windows.h>
#include "dd_types.h"

#define MAX_CHARS	256		// Normal 256 ANSI characters.

// Change the current font.
void	FR_SetFont(int id);
void	FR_FreeFonts(void);

int		FR_CharWidth(int ch);
int		FR_TextWidth(char *text);
int		FR_TextHeight(char *text);

// (x,y) is the upper left corner. Returns the length.
int		FR_TextOut(char *text, int x, int y);
int		FR_TextOutOffset(char *text, float x, float y);

#endif // __GL_FONT_H__