//-----------------------------------------------------------------------------
//
// GL_PCX.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __GL_PCX_H__
#define __GL_PCX_H__

typedef struct
{
    char	manufacturer;		// 0A always 10                  1			
    char	version;			// 05 256 color                  2
    char	encoding;			// 01 always 1 = RLE encoding    3
    char	bits_per_pixel;		// 08 must be 8                  4
    ushort	xmin,ymin;			// image origin (x,y)            8
	ushort	xmax,ymax;			// image end                     12
    ushort	hres;				// X width                       14
	ushort	vres;				// Y height                      16
    byte	palette[48];		// ignore                        64
    char	reserved;			//                               65
    char	color_planes;		// 01 number of planes in image  66
    ushort	bytes_per_line;		// number of bytes per X line    68
    ushort	palette_type;		// 2 for color palette           70
    char	filler[58];			//                              128
    byte	data;				// unbounded
} pcx_t;

int		PCX_HeaderGetInfo(void *imageData, int *w, int *h);
int		PCX_GetSize(char *fn, int *w, int *h);
int		PCX_MemoryLoad(byte *imgdata, int len, int buf_w, int buf_h, byte *outBuffer);
void	PCX_Load(char *fn, int buf_w, int buf_h, byte *outBuffer);

#endif 