//-----------------------------------------------------------------------------
//
// M_STRING.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __M_STRING_H__
#define __M_STRING_H__

// You can init with string constants, for example:
// ddstring_t mystr = { "Hello world." };

typedef struct
{
	char *str;
	int length;		// String length (no terminating nulls).
	int size;		// Allocated memory (not necessarily string size).
} ddstring_t;

void	Str_Init(ddstring_t *ds);
void	Str_Free(ddstring_t *ds);
void	Str_AppendComma(ddstring_t *ds, const char *append_text);
RDBOOL	Str_TokenMatch(ddstring_t *ds, const char *new_text);

//void	Str_Append(ddstring_t *ds, const char *append_text);
//void	Str_Prepend(ddstring_t *ds, const char *prepend_text);
//void Str_Clear(ddstring_t *ds);
//void Str_Set(ddstring_t *ds, const char *text);
//char *Str_Text(ddstring_t *ds);
//void Str_Copy(ddstring_t *dest, ddstring_t *src);

#endif