//-----------------------------------------------------------------------------
//
// R3D_OGLFUNC.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_OGLFUNC_H__
#define __R3D_OGLFUNC_H__

#include "dglib.h"
#include "dd_types.h"
#include "r3d_openGL.h"

void	GL_FogvColor(byte *color);
void	GL_FogvMode(uint param);
void	GL_FogvDensity(float param);
void	GL_FogvStart(float param);
void	GL_FogvEnd(float param);

void	GL_NewTexture(DGLuint *texIndex);
void	GL_DeleteTexIndex(DGLuint *texIndex, char *type);
void	GL_DeleteAllTextures(void);
RDBOOL	GL_TexImage(int format, int width, int height, int genMips, void *data);
RDBOOL	GL_CheckError(char *id);
void	GL_Bind(DGLuint texture);
void	GL_MainInit(void);
DGLuint	G_LoadMenuFog(void);
void	GL_SetRatioAndFov(void);
void	GL_DeleteFontLists(void);	// v220-5
void	GL_PostInit(int width, int height, RDBOOL centre, RDBOOL set_fov);


extern int	maxTexSize;		// Maximum supported texture size.
extern int	aspect_offset_x;
extern int	aspect_offset_y;

// v220-4 support truetype font
extern GLint ttFontList;
extern PFNGLWINDOWPOS2IPROC pglWindowPos2i;

#endif

