//-----------------------------------------------------------------------------
//
// R3D_EDIT.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_EDIT_H__
#define __R3D_EDIT_H__

#include "p_data.h"
#include "dd_input.h"

typedef struct  {
	RDBOOL	printed;
	int		flat_count;
	int		count;
	RDBOOL	*flat_substituted;
	char	*name;

} unknown_t;

extern	unknown_t unknownname;

extern	int	R3D_edit;		// Set to 1 if edit is active

int		Edit_Init();
void	SaveXhair(void);
void	RestoreXhair(void);
void	Edit_DrawerEditWindow(void);
int		Edit_Textures(line_t *li, int z, int from);
void	Edit_SetMB2();
void	Edit_SetVars(void);
void	Edit_ResetVars(void);
int		Edit_CheckEditstate(event_t *ev);
int		Edit_CheckEditSelect(int fire, int *mousex, int *mousey);
int		Edit_CheckTNUM(void);

#endif

