//-----------------------------------------------------------------------------
//
// R3D_INTERSECT.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_INTERSECT_H__
#define __R3D_INTERSECT_H__

#include "p_data.h"

line_t		*subfn_FindLineCrossing(line_t *ldc, int condition);
line_t		*subfn_FindLineCrossingMidTex(line_t *ldc, int condition);
line_t		*subfn_FindR3D_0BLineCrossing(line_t *ldc);
line_t		*subfn_FindCoincidentLine(line_t *ldc, int condition);
line_t		*subfn_FindLineConnected(line_t *ld, int type);
line_t		*subfn_FindLineOnLine(line_t *ld, int condition);
line_t		*subfn_UnmergedVTXline(line_t *ldc, int condition);
line_t		*subfn_FindVtxConnected(line_t *ldc, int condition);		// v220-3
line_t		*subfn_FindVtxBothConnected(line_t *ldc, int condition);	// v220-18
line_t		*subfn_FindCoincident3DLine(line_t *ldc, int condition);	// v220-31
int			subfn_FindMultiLineCrossing(line_t *ldc, int condition);
int			subfn_FindAllLinesCrossing(line_t *ldc);
RDBOOL		subfn_CheckSectorClosedInSequence(sector_t *sec);
RDBOOL		LS_CheckLineIntersect(line_t *ld1, line_t *ld2, int condition);
RDBOOL		subfn_CheckLineIntersect(line_t *ref, line_t *cmp, int ntch);
void		LS_CheckUnclosedMoveCrossingSecs(void);

#endif