//-----------------------------------------------------------------------------
//
// R3D_MAPINFO.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_MAPINFO_H__
#define __R3D_MAPINFO_H__

// MAPINFO defs (uses same names as used in ZDOOM scripts for clarity)
// Used with R3Dflags
#define	map07special				0x00000001
#define	specialaction_exitlevel		0x00000002
#define	specialaction_opendoor		0x00000004
#define	specialaction_blazedoor		0x00000008
#define	specialaction_lowerfloor	0x00000010
#define	specialaction_killmonsters	0x00000020

#define specialaction_mask			0x000000FF

#define	spiderbabyspecial			0x00000100	// v220-4
#define	mancubusspecial				0x00000200	// v220-4
#define	baronspecial				0x00000400
#define	cyberdemonspecial			0x00000800
#define	spidermastermindspecial		0x00001000

#define	allspecialmask				0x00001FFF

#define	nointermission				0x00010000
#define	resetinventory				0x00020000

#define R3Dnewmapfog				0x00400000	// v220-4
#define R3Dcarrystatsover			0x00800000	// v220-4
#define R3Dendmaps					0x01000000
#define R3Dmusiconce				0x02000000
#define R3Dcustomded				0x04000000
#define R3Dtpicfromiwad				0x08000000
#define R3Dhasmapinfo				0x10000000
#define R3Dmapnameset				0x20000000
#define R3DendgameC					0x40000000
#define R3Dendgame					0x80000000

void	MI_VerifyMapInfo(char *level_id);
void	MI_ActionMapInfo(char *lumpname);
int		MI_GetBriefings(RDBOOL after);
int		MI_GetFlat(char *levelid);
int		MI_NextMap(RDBOOL secret, int *gameepisode);

extern RDBOOL	secretexit;

#endif 