//-----------------------------------------------------------------------------
//
// REND_R3DSPEC.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __REND_R3DSPEC_H__
#define __REND_R3DSPEC_H__

sector_t	*R_FakeFlat(sector_t *sec, sector_t *tempsec, short *flight, short *clight);
short		subfn_LLevel(sector_t *s, RDBOOL type);
RDBOOL		subfn_MissingFirstPass(sector_t *frontsec, sector_t *backsec, side_t *sid,
							   line_t *ldef, int stype, short mtflags);

// R3D - Render variables per frame held in structure
typedef struct
{
	// dyn light rendering seg list
	seg_t	**facingsegptr;
	int		maxsegcount;
	int		facingsegcount;

	subsector_t *ssec;
	sector_t	*fsec, *csec, *sect, *usesec;
	sector_t	ffakesec, cfakesec, *fakedsec;
	sector_t	*fixedsec;
	sector_t	*overfake;

	int			fceil, ffloor,  bceil , bfloor;
	int			sceil, sfloor, common;
	short		floorlightlevel, ceilinglightlevel;
	int			ceil2;
	int			skyfix;
	int			lfsec;
	fixed_t		skyheight;
	fixed_t		waterplane;
	float		fpwaterplane;
	float		distance1, distance2;
	RDBOOL		faked;
	RDBOOL		istrans;
	RDBOOL		pseudo;

	int			fog_sector;
	int			setfloorheight;
	int			inhibit;

} rendwallvars_t;

extern rendwallvars_t rv;

#endif