//-----------------------------------------------------------------------------
//
// S_SFX.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __S_SFX_H__
#define __S_SFX_H__

#include "doom\sndidx.h"

#include "sys_sfxd.h"
#include "de_play.h"
#include "s_chan.h"

// Begin and end macros for Critical OPerations. They are operations 
// that can't be done while a refresh is being made. No refreshing 
// will be done between BEGIN_COP and END_COP.
#define BEGIN_COP		Sfx_AllowRefresh(false)
#define END_COP			Sfx_AllowRefresh(true)

extern float	sfx_reverb_strength;
extern int		sfx_max_cache_kb, sfx_max_cache_tics; 
extern RDBOOL	sfx_avail;

extern ded_count_t	count_sounds;

RDBOOL		Sfx_CheckChannel(int id, mobj_t *emitter);
RDBOOL		Sfx_SuspendChannel(int id, mobj_t *emitter, RDBOOL suspend);

void		Sfx_AllowRefresh(RDBOOL allow);
void		Sfx_DebugInfo(void);
void		Sfx_LevelChange(void);
void		Sfx_Init(void);
void		Sfx_PurgeCache(void);
void		Sfx_RefreshChannels(void);
void		Sfx_Reset(void);
void		Sfx_Shutdown(void);
void		Sfx_StartFrame(void);
void		Sfx_StopSoundGroup(int group, mobj_t *emitter);
void		Sfx_UnloadSoundID(int id);

int			Sfx_CountPlaying(int id, RDBOOL notlistener);
int			Sfx_StartSound(sfxsample_t *sample, float volume,
						   float freq, mobj_t *emitter, float *fixedpos,
						   float attenuation, float dist, int flags);
int			Sfx_StopSound(int id, mobj_t *emitter);
RDBOOL		SFXBF_playing(mobj_t *emitter);

#endif 