//-----------------------------------------------------------------------------
//
// SYS_SYSTEM.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __SYS_SYSTEM_H__
#define __SYS_SYSTEM_H__

#include "dd_types.h"

typedef int (*systhreadfunc_t)(void *parm);

extern int systics;

void	Sys_Init(void);
void	Sys_Shutdown(void);
void	Sys_Quit(int spawnfile);
void	Sys_AdvisoryHeader(char *msg);
int		Sys_CriticalMessage(char *msg, RDBOOL printtofile);
void	Sys_Sleep(int millisecs);
void	Sys_MessageBox(const char *msg, RDBOOL iserror);
int		Sys_StartThread(systhreadfunc_t startpos, uint stacksize, unsigned long *id, void *parm);
void	Sys_SuspendThread(int handle, RDBOOL dopause);

#endif