// Modified for use with Risen3D v220-14 02/Apr/2012 gmj

#ifndef __ZD_PROCESSOR_H__
#define __ZD_PROCESSOR_H__

#ifdef _MSC_VER
#pragma once
#endif

#include "zd_wad.h"
#include "zd_doomdata.h"
#include "zd_workdata.h"
#include "zd_tarray.h"
#include "zd_nodebuild.h"
#include "zd_blockmapbuilder.h"
#include "..\bsp\rd_shared.h"

class FProcessor
{
public:
	FProcessor (FWadReader &inwad, int lump);

	void Write (FWadWriter &out);

private:
	void LoadLines ();
	void LoadVertices ();
	void LoadSides ();
	void LoadSectors ();

	MapNodeEx		*NodesToEx (const MapNode *nodes, int count);
	MapSubsectorEx	*SubsectorsToEx (const MapSubsector *ssec, int count);
	MapSegGLEx		*SegGLsToEx (const MapSegGL *segs, int count);

	void WriteLines (FWadWriter &out);
	void WriteVertices (FWadWriter &out, int count);
	void WriteSectors (FWadWriter &out);
	void WriteSides (FWadWriter &out);
	void WriteSegs (FWadWriter &out);
	void WriteSSectors (FWadWriter &out) const;
	void WriteNodes (FWadWriter &out) const;

	void WriteGLVertices (FWadWriter &out, bool v5);
	void WriteGLSegs (FWadWriter &out, bool v5);
	void WriteGLSegs5 (FWadWriter &out);
	void WriteGLSSect (FWadWriter &out, bool v5);
	void WriteGLNodes (FWadWriter &out, bool v5);

	void WriteNodes2 (FWadWriter &out, const char *name, const MapNodeEx *zaNodes, int count) const;
	void WriteSSectors2 (FWadWriter &out, const char *name, const MapSubsectorEx *zaSubs, int count) const;
	void WriteNodes5 (FWadWriter &out, const char *name, const MapNodeEx *zaNodes, int count) const;
	void WriteSSectors5 (FWadWriter &out, const char *name, const MapSubsectorEx *zaSubs, int count) const;

	FLevel Level;
	FWadReader &Wad;
	int Lump;
};

#endif //__ZD_PROCESSOR_H__
