// Modified for use with Risen3D v220-14 02/Apr/2012 gmj

#ifndef __ZD_ZDBSP_H__
#define __ZD_ZDBSP_H__

#ifdef _MSC_VER
#pragma once
#endif

#include <limits.h>
#include <exception>
#include <stdexcept>
#include "r3d_xline.h"
#include "m_winmem.h"

#ifdef _MSC_VER
typedef unsigned __int32 uint32_t;
typedef __int32 int32_t;
#else
#include <stdint.h>
#endif

#define R3DZDBSP_VERSION	"R3D 'fast' nodes v1.0 based on ZDBSP_VERSION 1.17"

extern const char		*Map;
extern const char		*InName;
extern const char		*OutName;
extern bool				BuildGLNodes;
extern bool				NoPrune;
extern int				MaxSegs;
extern int				SplitCost;
extern int				AAPreference;

// R3D
void	pr_OFinsert(char *message, ...);
void	Con_Error(char *error, ...);


#define FIXED_MAX		INT_MAX
#define FIXED_MIN		INT_MIN

#define FRACBITS		16

typedef int fixed_t;
typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef   signed short SWORD;

#ifdef _WIN32
typedef unsigned long DWORD;
#else
typedef uint32_t DWORD;
#endif

//typedef uint32_t angle_t;

angle_t PointToAngle (fixed_t x, fixed_t y);

static const WORD NO_MAP_INDEX = 0xffff;
static const DWORD NO_INDEX = 0xffffffff;
static const angle_t ANGLE_MAX = 0xffffffff;
static const DWORD DWORD_MAX = 0xffffffff;
static const angle_t ANGLE_180 = (1u<<31);
static const angle_t ANGLE_EPSILON = 5000;

#pragma warning (disable: 4035)

inline fixed_t Scale (fixed_t a, fixed_t b, fixed_t c)
{
	__asm mov eax,a
	__asm mov ecx,c
	__asm imul b
	__asm idiv ecx
}

#pragma warning (default: 4035)

#define LittleShort(x)          (x)
#define LittleLong(x)           (x)

#endif //__ZD_ZDBSP_H__
